module LED7x4 (CLK, IN, A, B, C, D, E, F, G);

input CLK;
input [3:0] IN;
output A, B, C, D, E, F, G;

reg A, B, C, D, E, F, G;

always @(posedge CLK) begin
    case (IN)
      'h0: begin A <= 0; B <= 0; C <= 0; D <= 0; E <= 0; F <= 0; G <= 1; end
      'h1: begin A <= 1; B <= 0; C <= 0; D <= 1; E <= 1; F <= 1; G <= 1; end
      'h2: begin A <= 0; B <= 0; C <= 1; D <= 0; E <= 0; F <= 1; G <= 0; end
      'h3: begin A <= 0; B <= 0; C <= 0; D <= 0; E <= 1; F <= 1; G <= 0; end
      'h4: begin A <= 1; B <= 0; C <= 0; D <= 1; E <= 1; F <= 0; G <= 0; end
      'h5: begin A <= 0; B <= 1; C <= 0; D <= 0; E <= 1; F <= 0; G <= 0; end
      'h6: begin A <= 0; B <= 1; C <= 0; D <= 0; E <= 0; F <= 0; G <= 0; end
      'h7: begin A <= 0; B <= 0; C <= 0; D <= 1; E <= 1; F <= 1; G <= 1; end
      'h8: begin A <= 0; B <= 0; C <= 0; D <= 0; E <= 0; F <= 0; G <= 0; end
      'h9: begin A <= 0; B <= 0; C <= 0; D <= 0; E <= 1; F <= 0; G <= 0; end
      'hA: begin A <= 0; B <= 0; C <= 0; D <= 1; E <= 0; F <= 0; G <= 0; end
      'hB: begin A <= 1; B <= 1; C <= 0; D <= 0; E <= 0; F <= 0; G <= 0; end
      'hC: begin A <= 0; B <= 1; C <= 1; D <= 0; E <= 0; F <= 0; G <= 1; end
      'hD: begin A <= 1; B <= 0; C <= 0; D <= 0; E <= 0; F <= 1; G <= 0; end
      'hE: begin A <= 0; B <= 1; C <= 1; D <= 0; E <= 0; F <= 0; G <= 0; end
      'hF: begin A <= 0; B <= 1; C <= 1; D <= 1; E <= 0; F <= 0; G <= 0; end
  endcase
end
endmodule 
