module LEDx4(IN1, IN2, S1OR2, CLK, LOUT, ROUT);

input [7:0] IN1;
input [6:0] IN2;
input S1OR2;
input CLK;

output [3:0] LOUT;
output [3:0] ROUT;

reg [3:0] LOUT;
reg [3:0] ROUT;

always @(posedge CLK) begin
    if (S1OR2) begin
        LOUT <= IN1[7:4];
        ROUT <= IN1[3:0];
    end
    else begin
        LOUT <= IN2[6:4];
        ROUT <= IN2[3:0];
    end
end

endmodule
