Revision 3
; Created by bitgen D.24 at Tue Feb 06 17:36:31 2001
; Bit lines have the following form:
; <offset> <frame number> <frame offset> <information>
; <information> may be zero or more <kw>=<value> pairs
; Block=<blockname     specifies the block associated with this
;                      memory cell.
;
; Latch=<name>         specifies the latch associated with this memory cell.
;
; Net=<netname>        specifies the user net associated with this
;                      memory cell.
;
; COMPARE=[YES | NO]   specifies whether or not it is appropriate
;                      to compare this bit position between a
;                      "program" and a "readback" bitstream.
;                      If not present the default is NO.
;
; Ram=<ram id>:<bit>   This is used in cases where a CLB function
; Rom=<ram id>:<bit>   generator is used as RAM (or ROM).  <Ram id>
;                      will be either 'F', 'G', or 'M', indicating
;                      that it is part of a single F or G function
;                      generator used as RAM, or as a single RAM
;                      (or ROM) built from both F and G.  <Bit> is
;                      a decimal number.
;
; Info lines have the following form:
; Info <name>=<value>  specifies a bit associated with the LCA
;                      configuration options, and the value of
;                      that bit.  The names of these bits may have
;                      special meaning to software reading the .ll file.
;
Info STARTSEL0=1
Bit    20807     34    612 Block=P209 Latch=I Net=DIN<6>
Bit   138311    226    612 Block=P208 Latch=I Net=DIN<5>
Bit   165239    270    612 Block=P215 Latch=I Net=DIN<7>
Bit   194615    318    612 Block=P207 Latch=I Net=DIN<4>
Bit   300472    491    593 Block=CLB_R1C30.S1 Latch=XQ Net=AR
Bit   312119    510    612 Block=P206 Latch=I Net=DIN<3>
Bit   314567    514    612 Block=P205 Latch=I Net=DIN<2>
Bit   370871    606    612 Block=P203 Latch=I Net=DIN<1>
Bit   373319    610    612 Block=P202 Latch=I Net=DIN<0>
Bit   440494    720    467 Block=CLB_R8C32.S0 Latch=YQ Net=PROCDOUT<16>
Bit   440620    720    593 Block=CLB_R1C32.S0 Latch=YQ Net=U13/state<0>
Bit   444166    726    467 Block=CLB_R8C32.S0 Latch=XQ Net=PROCDOUT<17>
Bit   444292    726    593 Block=CLB_R1C32.S0 Latch=XQ Net=U13/state<1>
Bit   476584    779    449 Block=CLB_R9C33.S1 Latch=XQ Net=PROCDOUT<31>
Bit   480256    785    449 Block=CLB_R9C33.S1 Latch=YQ Net=PROCDOUT<29>
Bit   499246    816    467 Block=CLB_R8C33.S0 Latch=YQ Net=PROCDOUT<10>
Bit   499372    816    593 Block=CLB_R1C33.S0 Latch=YQ Net=AW
Bit   502918    822    467 Block=CLB_R8C33.S0 Latch=XQ Net=PROCDOUT<11>
Bit   535336    875    449 Block=CLB_R9C34.S1 Latch=XQ Net=PROCDOUT<23>
Bit   535354    875    467 Block=CLB_R8C34.S1 Latch=XQ Net=PROCDOUT<20>
Bit   539008    881    449 Block=CLB_R9C34.S1 Latch=YQ Net=PROCDOUT<21>
Bit   539026    881    467 Block=CLB_R8C34.S1 Latch=YQ Net=PROCDOUT<19>
Bit   558016    912    485 Block=CLB_R7C34.S0 Latch=YQ Net=PROCDOUT<14>
Bit   558052    912    521 Block=CLB_R5C34.S0 Latch=YQ Net=U13/length<0>
Bit   558070    912    539 Block=CLB_R4C34.S0 Latch=YQ Net=U13/length<2>
Bit   558088    912    557 Block=CLB_R3C34.S0 Latch=YQ Net=U13/length<4>
Bit   558106    912    575 Block=CLB_R2C34.S0 Latch=YQ Net=U13/length<6>
Bit   561688    918    485 Block=CLB_R7C34.S0 Latch=XQ Net=PROCDOUT<15>
Bit   561724    918    521 Block=CLB_R5C34.S0 Latch=XQ Net=U13/length<1>
Bit   561742    918    539 Block=CLB_R4C34.S0 Latch=XQ Net=U13/length<3>
Bit   561760    918    557 Block=CLB_R3C34.S0 Latch=XQ Net=U13/length<5>
Bit   561778    918    575 Block=CLB_R2C34.S0 Latch=XQ Net=U13/length<7>
Bit   592862    969    447 Block=CLB_R9C35.S1 Ram=M:0
Bit   592863    969    448 Block=CLB_R9C35.S1 Ram=M:16
Bit   592898    969    483 Block=CLB_R7C35.S1 Ram=M:0
Bit   592899    969    484 Block=CLB_R7C35.S1 Ram=M:16
Bit   593474    970    447 Block=CLB_R9C35.S1 Ram=M:1
Bit   593475    970    448 Block=CLB_R9C35.S1 Ram=M:17
Bit   593510    970    483 Block=CLB_R7C35.S1 Ram=M:1
Bit   593511    970    484 Block=CLB_R7C35.S1 Ram=M:17
Bit   594086    971    447 Block=CLB_R9C35.S1 Ram=M:2
Bit   594087    971    448 Block=CLB_R9C35.S1 Ram=M:18
Bit   594106    971    467 Block=CLB_R8C35.S1 Latch=XQ Net=PROCDOUT<27>
Bit   594122    971    483 Block=CLB_R7C35.S1 Ram=M:2
Bit   594123    971    484 Block=CLB_R7C35.S1 Ram=M:18
Bit   594214    971    575 Block=CLB_R2C35.S1 Latch=XQ Net=ADDR<1>
Bit   594232    971    593 Block=CLB_R1C35.S1 Latch=XQ Net=AWD
Bit   594698    972    447 Block=CLB_R9C35.S1 Ram=M:3
Bit   594699    972    448 Block=CLB_R9C35.S1 Ram=M:19
Bit   594734    972    483 Block=CLB_R7C35.S1 Ram=M:3
Bit   594735    972    484 Block=CLB_R7C35.S1 Ram=M:19
Bit   595310    973    447 Block=CLB_R9C35.S1 Ram=M:4
Bit   595311    973    448 Block=CLB_R9C35.S1 Ram=M:20
Bit   595346    973    483 Block=CLB_R7C35.S1 Ram=M:4
Bit   595347    973    484 Block=CLB_R7C35.S1 Ram=M:20
Bit   595922    974    447 Block=CLB_R9C35.S1 Ram=M:5
Bit   595923    974    448 Block=CLB_R9C35.S1 Ram=M:21
Bit   595958    974    483 Block=CLB_R7C35.S1 Ram=M:5
Bit   595959    974    484 Block=CLB_R7C35.S1 Ram=M:21
Bit   596534    975    447 Block=CLB_R9C35.S1 Ram=M:6
Bit   596535    975    448 Block=CLB_R9C35.S1 Ram=M:22
Bit   596570    975    483 Block=CLB_R7C35.S1 Ram=M:6
Bit   596571    975    484 Block=CLB_R7C35.S1 Ram=M:22
Bit   597146    976    447 Block=CLB_R9C35.S1 Ram=M:7
Bit   597147    976    448 Block=CLB_R9C35.S1 Ram=M:23
Bit   597182    976    483 Block=CLB_R7C35.S1 Ram=M:7
Bit   597183    976    484 Block=CLB_R7C35.S1 Ram=M:23
Bit   597758    977    447 Block=CLB_R9C35.S1 Ram=M:8
Bit   597759    977    448 Block=CLB_R9C35.S1 Ram=M:24
Bit   597778    977    467 Block=CLB_R8C35.S1 Latch=YQ Net=PROCDOUT<25>
Bit   597794    977    483 Block=CLB_R7C35.S1 Ram=M:8
Bit   597795    977    484 Block=CLB_R7C35.S1 Ram=M:24
Bit   597886    977    575 Block=CLB_R2C35.S1 Latch=YQ Net=ADDR<0>
Bit   598370    978    447 Block=CLB_R9C35.S1 Ram=M:9
Bit   598371    978    448 Block=CLB_R9C35.S1 Ram=M:25
Bit   598406    978    483 Block=CLB_R7C35.S1 Ram=M:9
Bit   598407    978    484 Block=CLB_R7C35.S1 Ram=M:25
Bit   598982    979    447 Block=CLB_R9C35.S1 Ram=M:10
Bit   598983    979    448 Block=CLB_R9C35.S1 Ram=M:26
Bit   599018    979    483 Block=CLB_R7C35.S1 Ram=M:10
Bit   599019    979    484 Block=CLB_R7C35.S1 Ram=M:26
Bit   599594    980    447 Block=CLB_R9C35.S1 Ram=M:11
Bit   599595    980    448 Block=CLB_R9C35.S1 Ram=M:27
Bit   599630    980    483 Block=CLB_R7C35.S1 Ram=M:11
Bit   599631    980    484 Block=CLB_R7C35.S1 Ram=M:27
Bit   600206    981    447 Block=CLB_R9C35.S1 Ram=M:12
Bit   600207    981    448 Block=CLB_R9C35.S1 Ram=M:28
Bit   600242    981    483 Block=CLB_R7C35.S1 Ram=M:12
Bit   600243    981    484 Block=CLB_R7C35.S1 Ram=M:28
Bit   600818    982    447 Block=CLB_R9C35.S1 Ram=M:13
Bit   600819    982    448 Block=CLB_R9C35.S1 Ram=M:29
Bit   600854    982    483 Block=CLB_R7C35.S1 Ram=M:13
Bit   600855    982    484 Block=CLB_R7C35.S1 Ram=M:29
Bit   601430    983    447 Block=CLB_R9C35.S1 Ram=M:14
Bit   601431    983    448 Block=CLB_R9C35.S1 Ram=M:30
Bit   601466    983    483 Block=CLB_R7C35.S1 Ram=M:14
Bit   601467    983    484 Block=CLB_R7C35.S1 Ram=M:30
Bit   602042    984    447 Block=CLB_R9C35.S1 Ram=M:15
Bit   602043    984    448 Block=CLB_R9C35.S1 Ram=M:31
Bit   602078    984    483 Block=CLB_R7C35.S1 Ram=M:15
Bit   602079    984    484 Block=CLB_R7C35.S1 Ram=M:31
Bit   612428   1001    429 Block=CLB_R10C35.S0 Ram=M:15
Bit   612429   1001    430 Block=CLB_R10C35.S0 Ram=M:31
Bit   613040   1002    429 Block=CLB_R10C35.S0 Ram=M:14
Bit   613041   1002    430 Block=CLB_R10C35.S0 Ram=M:30
Bit   613652   1003    429 Block=CLB_R10C35.S0 Ram=M:13
Bit   613653   1003    430 Block=CLB_R10C35.S0 Ram=M:29
Bit   614264   1004    429 Block=CLB_R10C35.S0 Ram=M:12
Bit   614265   1004    430 Block=CLB_R10C35.S0 Ram=M:28
Bit   614876   1005    429 Block=CLB_R10C35.S0 Ram=M:11
Bit   614877   1005    430 Block=CLB_R10C35.S0 Ram=M:27
Bit   615488   1006    429 Block=CLB_R10C35.S0 Ram=M:10
Bit   615489   1006    430 Block=CLB_R10C35.S0 Ram=M:26
Bit   616100   1007    429 Block=CLB_R10C35.S0 Ram=M:9
Bit   616101   1007    430 Block=CLB_R10C35.S0 Ram=M:25
Bit   616712   1008    429 Block=CLB_R10C35.S0 Ram=M:8
Bit   616713   1008    430 Block=CLB_R10C35.S0 Ram=M:24
Bit   616840   1008    557 Block=CLB_R3C35.S0 Latch=YQ Net=ADDR<6>
Bit   617324   1009    429 Block=CLB_R10C35.S0 Ram=M:7
Bit   617325   1009    430 Block=CLB_R10C35.S0 Ram=M:23
Bit   617936   1010    429 Block=CLB_R10C35.S0 Ram=M:6
Bit   617937   1010    430 Block=CLB_R10C35.S0 Ram=M:22
Bit   618548   1011    429 Block=CLB_R10C35.S0 Ram=M:5
Bit   618549   1011    430 Block=CLB_R10C35.S0 Ram=M:21
Bit   619160   1012    429 Block=CLB_R10C35.S0 Ram=M:4
Bit   619161   1012    430 Block=CLB_R10C35.S0 Ram=M:20
Bit   619772   1013    429 Block=CLB_R10C35.S0 Ram=M:3
Bit   619773   1013    430 Block=CLB_R10C35.S0 Ram=M:19
Bit   620384   1014    429 Block=CLB_R10C35.S0 Ram=M:2
Bit   620385   1014    430 Block=CLB_R10C35.S0 Ram=M:18
Bit   620996   1015    429 Block=CLB_R10C35.S0 Ram=M:1
Bit   620997   1015    430 Block=CLB_R10C35.S0 Ram=M:17
Bit   621608   1016    429 Block=CLB_R10C35.S0 Ram=M:0
Bit   621609   1016    430 Block=CLB_R10C35.S0 Ram=M:16
Bit   651596   1065    429 Block=CLB_R10C36.S1 Ram=M:0
Bit   651597   1065    430 Block=CLB_R10C36.S1 Ram=M:16
Bit   651650   1065    483 Block=CLB_R7C36.S1 Ram=M:0
Bit   651651   1065    484 Block=CLB_R7C36.S1 Ram=M:16
Bit   652208   1066    429 Block=CLB_R10C36.S1 Ram=M:1
Bit   652209   1066    430 Block=CLB_R10C36.S1 Ram=M:17
Bit   652262   1066    483 Block=CLB_R7C36.S1 Ram=M:1
Bit   652263   1066    484 Block=CLB_R7C36.S1 Ram=M:17
Bit   652820   1067    429 Block=CLB_R10C36.S1 Ram=M:2
Bit   652821   1067    430 Block=CLB_R10C36.S1 Ram=M:18
Bit   652874   1067    483 Block=CLB_R7C36.S1 Ram=M:2
Bit   652875   1067    484 Block=CLB_R7C36.S1 Ram=M:18
Bit   652966   1067    575 Block=CLB_R2C36.S1 Latch=XQ Net=ADDR<3>
Bit   653432   1068    429 Block=CLB_R10C36.S1 Ram=M:3
Bit   653433   1068    430 Block=CLB_R10C36.S1 Ram=M:19
Bit   653486   1068    483 Block=CLB_R7C36.S1 Ram=M:3
Bit   653487   1068    484 Block=CLB_R7C36.S1 Ram=M:19
Bit   654044   1069    429 Block=CLB_R10C36.S1 Ram=M:4
Bit   654045   1069    430 Block=CLB_R10C36.S1 Ram=M:20
Bit   654098   1069    483 Block=CLB_R7C36.S1 Ram=M:4
Bit   654099   1069    484 Block=CLB_R7C36.S1 Ram=M:20
Bit   654656   1070    429 Block=CLB_R10C36.S1 Ram=M:5
Bit   654657   1070    430 Block=CLB_R10C36.S1 Ram=M:21
Bit   654710   1070    483 Block=CLB_R7C36.S1 Ram=M:5
Bit   654711   1070    484 Block=CLB_R7C36.S1 Ram=M:21
Bit   655268   1071    429 Block=CLB_R10C36.S1 Ram=M:6
Bit   655269   1071    430 Block=CLB_R10C36.S1 Ram=M:22
Bit   655322   1071    483 Block=CLB_R7C36.S1 Ram=M:6
Bit   655323   1071    484 Block=CLB_R7C36.S1 Ram=M:22
Bit   655880   1072    429 Block=CLB_R10C36.S1 Ram=M:7
Bit   655881   1072    430 Block=CLB_R10C36.S1 Ram=M:23
Bit   655934   1072    483 Block=CLB_R7C36.S1 Ram=M:7
Bit   655935   1072    484 Block=CLB_R7C36.S1 Ram=M:23
Bit   656492   1073    429 Block=CLB_R10C36.S1 Ram=M:8
Bit   656493   1073    430 Block=CLB_R10C36.S1 Ram=M:24
Bit   656546   1073    483 Block=CLB_R7C36.S1 Ram=M:8
Bit   656547   1073    484 Block=CLB_R7C36.S1 Ram=M:24
Bit   656638   1073    575 Block=CLB_R2C36.S1 Latch=YQ Net=ADDR<2>
Bit   657104   1074    429 Block=CLB_R10C36.S1 Ram=M:9
Bit   657105   1074    430 Block=CLB_R10C36.S1 Ram=M:25
Bit   657158   1074    483 Block=CLB_R7C36.S1 Ram=M:9
Bit   657159   1074    484 Block=CLB_R7C36.S1 Ram=M:25
Bit   657716   1075    429 Block=CLB_R10C36.S1 Ram=M:10
Bit   657717   1075    430 Block=CLB_R10C36.S1 Ram=M:26
Bit   657770   1075    483 Block=CLB_R7C36.S1 Ram=M:10
Bit   657771   1075    484 Block=CLB_R7C36.S1 Ram=M:26
Bit   658328   1076    429 Block=CLB_R10C36.S1 Ram=M:11
Bit   658329   1076    430 Block=CLB_R10C36.S1 Ram=M:27
Bit   658382   1076    483 Block=CLB_R7C36.S1 Ram=M:11
Bit   658383   1076    484 Block=CLB_R7C36.S1 Ram=M:27
Bit   658940   1077    429 Block=CLB_R10C36.S1 Ram=M:12
Bit   658941   1077    430 Block=CLB_R10C36.S1 Ram=M:28
Bit   658994   1077    483 Block=CLB_R7C36.S1 Ram=M:12
Bit   658995   1077    484 Block=CLB_R7C36.S1 Ram=M:28
Bit   659552   1078    429 Block=CLB_R10C36.S1 Ram=M:13
Bit   659553   1078    430 Block=CLB_R10C36.S1 Ram=M:29
Bit   659606   1078    483 Block=CLB_R7C36.S1 Ram=M:13
Bit   659607   1078    484 Block=CLB_R7C36.S1 Ram=M:29
Bit   660164   1079    429 Block=CLB_R10C36.S1 Ram=M:14
Bit   660165   1079    430 Block=CLB_R10C36.S1 Ram=M:30
Bit   660218   1079    483 Block=CLB_R7C36.S1 Ram=M:14
Bit   660219   1079    484 Block=CLB_R7C36.S1 Ram=M:30
Bit   660776   1080    429 Block=CLB_R10C36.S1 Ram=M:15
Bit   660777   1080    430 Block=CLB_R10C36.S1 Ram=M:31
Bit   660830   1080    483 Block=CLB_R7C36.S1 Ram=M:15
Bit   660831   1080    484 Block=CLB_R7C36.S1 Ram=M:31
Bit   664631   1086    612 Block=P200 Latch=I Net=$Net00023_
Bit   667079   1090    612 Block=P199 Latch=I Net=RE
Bit   671180   1097    429 Block=CLB_R10C36.S0 Ram=M:15
Bit   671181   1097    430 Block=CLB_R10C36.S0 Ram=M:31
Bit   671198   1097    447 Block=CLB_R9C36.S0 Ram=M:15
Bit   671199   1097    448 Block=CLB_R9C36.S0 Ram=M:31
Bit   671216   1097    465 Block=CLB_R8C36.S0 Ram=M:15
Bit   671217   1097    466 Block=CLB_R8C36.S0 Ram=M:31
Bit   671792   1098    429 Block=CLB_R10C36.S0 Ram=M:14
Bit   671793   1098    430 Block=CLB_R10C36.S0 Ram=M:30
Bit   671810   1098    447 Block=CLB_R9C36.S0 Ram=M:14
Bit   671811   1098    448 Block=CLB_R9C36.S0 Ram=M:30
Bit   671828   1098    465 Block=CLB_R8C36.S0 Ram=M:14
Bit   671829   1098    466 Block=CLB_R8C36.S0 Ram=M:30
Bit   672404   1099    429 Block=CLB_R10C36.S0 Ram=M:13
Bit   672405   1099    430 Block=CLB_R10C36.S0 Ram=M:29
Bit   672422   1099    447 Block=CLB_R9C36.S0 Ram=M:13
Bit   672423   1099    448 Block=CLB_R9C36.S0 Ram=M:29
Bit   672440   1099    465 Block=CLB_R8C36.S0 Ram=M:13
Bit   672441   1099    466 Block=CLB_R8C36.S0 Ram=M:29
Bit   673016   1100    429 Block=CLB_R10C36.S0 Ram=M:12
Bit   673017   1100    430 Block=CLB_R10C36.S0 Ram=M:28
Bit   673034   1100    447 Block=CLB_R9C36.S0 Ram=M:12
Bit   673035   1100    448 Block=CLB_R9C36.S0 Ram=M:28
Bit   673052   1100    465 Block=CLB_R8C36.S0 Ram=M:12
Bit   673053   1100    466 Block=CLB_R8C36.S0 Ram=M:28
Bit   673628   1101    429 Block=CLB_R10C36.S0 Ram=M:11
Bit   673629   1101    430 Block=CLB_R10C36.S0 Ram=M:27
Bit   673646   1101    447 Block=CLB_R9C36.S0 Ram=M:11
Bit   673647   1101    448 Block=CLB_R9C36.S0 Ram=M:27
Bit   673664   1101    465 Block=CLB_R8C36.S0 Ram=M:11
Bit   673665   1101    466 Block=CLB_R8C36.S0 Ram=M:27
Bit   674240   1102    429 Block=CLB_R10C36.S0 Ram=M:10
Bit   674241   1102    430 Block=CLB_R10C36.S0 Ram=M:26
Bit   674258   1102    447 Block=CLB_R9C36.S0 Ram=M:10
Bit   674259   1102    448 Block=CLB_R9C36.S0 Ram=M:26
Bit   674276   1102    465 Block=CLB_R8C36.S0 Ram=M:10
Bit   674277   1102    466 Block=CLB_R8C36.S0 Ram=M:26
Bit   674852   1103    429 Block=CLB_R10C36.S0 Ram=M:9
Bit   674853   1103    430 Block=CLB_R10C36.S0 Ram=M:25
Bit   674870   1103    447 Block=CLB_R9C36.S0 Ram=M:9
Bit   674871   1103    448 Block=CLB_R9C36.S0 Ram=M:25
Bit   674888   1103    465 Block=CLB_R8C36.S0 Ram=M:9
Bit   674889   1103    466 Block=CLB_R8C36.S0 Ram=M:25
Bit   675464   1104    429 Block=CLB_R10C36.S0 Ram=M:8
Bit   675465   1104    430 Block=CLB_R10C36.S0 Ram=M:24
Bit   675482   1104    447 Block=CLB_R9C36.S0 Ram=M:8
Bit   675483   1104    448 Block=CLB_R9C36.S0 Ram=M:24
Bit   675500   1104    465 Block=CLB_R8C36.S0 Ram=M:8
Bit   675501   1104    466 Block=CLB_R8C36.S0 Ram=M:24
Bit   675520   1104    485 Block=CLB_R7C36.S0 Latch=YQ Net=PROCDOUT<6>
Bit   675628   1104    593 Block=CLB_R1C36.S0 Latch=YQ Net=ADDR<4>
Bit   676076   1105    429 Block=CLB_R10C36.S0 Ram=M:7
Bit   676077   1105    430 Block=CLB_R10C36.S0 Ram=M:23
Bit   676094   1105    447 Block=CLB_R9C36.S0 Ram=M:7
Bit   676095   1105    448 Block=CLB_R9C36.S0 Ram=M:23
Bit   676112   1105    465 Block=CLB_R8C36.S0 Ram=M:7
Bit   676113   1105    466 Block=CLB_R8C36.S0 Ram=M:23
Bit   676688   1106    429 Block=CLB_R10C36.S0 Ram=M:6
Bit   676689   1106    430 Block=CLB_R10C36.S0 Ram=M:22
Bit   676706   1106    447 Block=CLB_R9C36.S0 Ram=M:6
Bit   676707   1106    448 Block=CLB_R9C36.S0 Ram=M:22
Bit   676724   1106    465 Block=CLB_R8C36.S0 Ram=M:6
Bit   676725   1106    466 Block=CLB_R8C36.S0 Ram=M:22
Bit   677300   1107    429 Block=CLB_R10C36.S0 Ram=M:5
Bit   677301   1107    430 Block=CLB_R10C36.S0 Ram=M:21
Bit   677318   1107    447 Block=CLB_R9C36.S0 Ram=M:5
Bit   677319   1107    448 Block=CLB_R9C36.S0 Ram=M:21
Bit   677336   1107    465 Block=CLB_R8C36.S0 Ram=M:5
Bit   677337   1107    466 Block=CLB_R8C36.S0 Ram=M:21
Bit   677912   1108    429 Block=CLB_R10C36.S0 Ram=M:4
Bit   677913   1108    430 Block=CLB_R10C36.S0 Ram=M:20
Bit   677930   1108    447 Block=CLB_R9C36.S0 Ram=M:4
Bit   677931   1108    448 Block=CLB_R9C36.S0 Ram=M:20
Bit   677948   1108    465 Block=CLB_R8C36.S0 Ram=M:4
Bit   677949   1108    466 Block=CLB_R8C36.S0 Ram=M:20
Bit   678524   1109    429 Block=CLB_R10C36.S0 Ram=M:3
Bit   678525   1109    430 Block=CLB_R10C36.S0 Ram=M:19
Bit   678542   1109    447 Block=CLB_R9C36.S0 Ram=M:3
Bit   678543   1109    448 Block=CLB_R9C36.S0 Ram=M:19
Bit   678560   1109    465 Block=CLB_R8C36.S0 Ram=M:3
Bit   678561   1109    466 Block=CLB_R8C36.S0 Ram=M:19
Bit   679136   1110    429 Block=CLB_R10C36.S0 Ram=M:2
Bit   679137   1110    430 Block=CLB_R10C36.S0 Ram=M:18
Bit   679138   1110    431 Block=CLB_R10C36.S0 Latch=XQ Net=U15/length<7>
Bit   679154   1110    447 Block=CLB_R9C36.S0 Ram=M:2
Bit   679155   1110    448 Block=CLB_R9C36.S0 Ram=M:18
Bit   679172   1110    465 Block=CLB_R8C36.S0 Ram=M:2
Bit   679173   1110    466 Block=CLB_R8C36.S0 Ram=M:18
Bit   679192   1110    485 Block=CLB_R7C36.S0 Latch=XQ Net=PROCDOUT<7>
Bit   679300   1110    593 Block=CLB_R1C36.S0 Latch=XQ Net=ADDR<5>
Bit   679748   1111    429 Block=CLB_R10C36.S0 Ram=M:1
Bit   679749   1111    430 Block=CLB_R10C36.S0 Ram=M:17
Bit   679766   1111    447 Block=CLB_R9C36.S0 Ram=M:1
Bit   679767   1111    448 Block=CLB_R9C36.S0 Ram=M:17
Bit   679784   1111    465 Block=CLB_R8C36.S0 Ram=M:1
Bit   679785   1111    466 Block=CLB_R8C36.S0 Ram=M:17
Bit   680360   1112    429 Block=CLB_R10C36.S0 Ram=M:0
Bit   680361   1112    430 Block=CLB_R10C36.S0 Ram=M:16
Bit   680378   1112    447 Block=CLB_R9C36.S0 Ram=M:0
Bit   680379   1112    448 Block=CLB_R9C36.S0 Ram=M:16
Bit   680396   1112    465 Block=CLB_R8C36.S0 Ram=M:0
Bit   680397   1112    466 Block=CLB_R8C36.S0 Ram=M:16
Bit   710330   1161    411 Block=CLB_R11C37.S1 Ram=M:0
Bit   710331   1161    412 Block=CLB_R11C37.S1 Ram=M:16
Bit   710366   1161    447 Block=CLB_R9C37.S1 Ram=M:0
Bit   710367   1161    448 Block=CLB_R9C37.S1 Ram=M:16
Bit   710942   1162    411 Block=CLB_R11C37.S1 Ram=M:1
Bit   710943   1162    412 Block=CLB_R11C37.S1 Ram=M:17
Bit   710978   1162    447 Block=CLB_R9C37.S1 Ram=M:1
Bit   710979   1162    448 Block=CLB_R9C37.S1 Ram=M:17
Bit   711554   1163    411 Block=CLB_R11C37.S1 Ram=M:2
Bit   711555   1163    412 Block=CLB_R11C37.S1 Ram=M:18
Bit   711574   1163    431 Block=CLB_R10C37.S1 Latch=XQ Net=PROCDOUT<3>
Bit   711590   1163    447 Block=CLB_R9C37.S1 Ram=M:2
Bit   711591   1163    448 Block=CLB_R9C37.S1 Ram=M:18
Bit   711592   1163    449 Block=CLB_R9C37.S1 Latch=XQ Net=U15/length<2>
Bit   711682   1163    539 Block=CLB_R4C37.S1 Latch=XQ Net=PROCWE
Bit   712166   1164    411 Block=CLB_R11C37.S1 Ram=M:3
Bit   712167   1164    412 Block=CLB_R11C37.S1 Ram=M:19
Bit   712202   1164    447 Block=CLB_R9C37.S1 Ram=M:3
Bit   712203   1164    448 Block=CLB_R9C37.S1 Ram=M:19
Bit   712778   1165    411 Block=CLB_R11C37.S1 Ram=M:4
Bit   712779   1165    412 Block=CLB_R11C37.S1 Ram=M:20
Bit   712814   1165    447 Block=CLB_R9C37.S1 Ram=M:4
Bit   712815   1165    448 Block=CLB_R9C37.S1 Ram=M:20
Bit   713390   1166    411 Block=CLB_R11C37.S1 Ram=M:5
Bit   713391   1166    412 Block=CLB_R11C37.S1 Ram=M:21
Bit   713426   1166    447 Block=CLB_R9C37.S1 Ram=M:5
Bit   713427   1166    448 Block=CLB_R9C37.S1 Ram=M:21
Bit   714002   1167    411 Block=CLB_R11C37.S1 Ram=M:6
Bit   714003   1167    412 Block=CLB_R11C37.S1 Ram=M:22
Bit   714038   1167    447 Block=CLB_R9C37.S1 Ram=M:6
Bit   714039   1167    448 Block=CLB_R9C37.S1 Ram=M:22
Bit   714614   1168    411 Block=CLB_R11C37.S1 Ram=M:7
Bit   714615   1168    412 Block=CLB_R11C37.S1 Ram=M:23
Bit   714650   1168    447 Block=CLB_R9C37.S1 Ram=M:7
Bit   714651   1168    448 Block=CLB_R9C37.S1 Ram=M:23
Bit   715226   1169    411 Block=CLB_R11C37.S1 Ram=M:8
Bit   715227   1169    412 Block=CLB_R11C37.S1 Ram=M:24
Bit   715246   1169    431 Block=CLB_R10C37.S1 Latch=YQ Net=PROCDOUT<2>
Bit   715262   1169    447 Block=CLB_R9C37.S1 Ram=M:8
Bit   715263   1169    448 Block=CLB_R9C37.S1 Ram=M:24
Bit   715838   1170    411 Block=CLB_R11C37.S1 Ram=M:9
Bit   715839   1170    412 Block=CLB_R11C37.S1 Ram=M:25
Bit   715874   1170    447 Block=CLB_R9C37.S1 Ram=M:9
Bit   715875   1170    448 Block=CLB_R9C37.S1 Ram=M:25
Bit   716450   1171    411 Block=CLB_R11C37.S1 Ram=M:10
Bit   716451   1171    412 Block=CLB_R11C37.S1 Ram=M:26
Bit   716486   1171    447 Block=CLB_R9C37.S1 Ram=M:10
Bit   716487   1171    448 Block=CLB_R9C37.S1 Ram=M:26
Bit   717062   1172    411 Block=CLB_R11C37.S1 Ram=M:11
Bit   717063   1172    412 Block=CLB_R11C37.S1 Ram=M:27
Bit   717098   1172    447 Block=CLB_R9C37.S1 Ram=M:11
Bit   717099   1172    448 Block=CLB_R9C37.S1 Ram=M:27
Bit   717674   1173    411 Block=CLB_R11C37.S1 Ram=M:12
Bit   717675   1173    412 Block=CLB_R11C37.S1 Ram=M:28
Bit   717710   1173    447 Block=CLB_R9C37.S1 Ram=M:12
Bit   717711   1173    448 Block=CLB_R9C37.S1 Ram=M:28
Bit   718286   1174    411 Block=CLB_R11C37.S1 Ram=M:13
Bit   718287   1174    412 Block=CLB_R11C37.S1 Ram=M:29
Bit   718322   1174    447 Block=CLB_R9C37.S1 Ram=M:13
Bit   718323   1174    448 Block=CLB_R9C37.S1 Ram=M:29
Bit   718898   1175    411 Block=CLB_R11C37.S1 Ram=M:14
Bit   718899   1175    412 Block=CLB_R11C37.S1 Ram=M:30
Bit   718934   1175    447 Block=CLB_R9C37.S1 Ram=M:14
Bit   718935   1175    448 Block=CLB_R9C37.S1 Ram=M:30
Bit   719510   1176    411 Block=CLB_R11C37.S1 Ram=M:15
Bit   719511   1176    412 Block=CLB_R11C37.S1 Ram=M:31
Bit   719546   1176    447 Block=CLB_R9C37.S1 Ram=M:15
Bit   719547   1176    448 Block=CLB_R9C37.S1 Ram=M:31
Bit   723383   1182    612 Block=P195 Latch=I Net=$Net00002_
Bit   729914   1193    411 Block=CLB_R11C37.S0 Ram=M:15
Bit   729915   1193    412 Block=CLB_R11C37.S0 Ram=M:31
Bit   729950   1193    447 Block=CLB_R9C37.S0 Ram=M:15
Bit   729951   1193    448 Block=CLB_R9C37.S0 Ram=M:31
Bit   729968   1193    465 Block=CLB_R8C37.S0 Ram=M:15
Bit   729969   1193    466 Block=CLB_R8C37.S0 Ram=M:31
Bit   729986   1193    483 Block=CLB_R7C37.S0 Ram=M:15
Bit   729987   1193    484 Block=CLB_R7C37.S0 Ram=M:31
Bit   730526   1194    411 Block=CLB_R11C37.S0 Ram=M:14
Bit   730527   1194    412 Block=CLB_R11C37.S0 Ram=M:30
Bit   730562   1194    447 Block=CLB_R9C37.S0 Ram=M:14
Bit   730563   1194    448 Block=CLB_R9C37.S0 Ram=M:30
Bit   730580   1194    465 Block=CLB_R8C37.S0 Ram=M:14
Bit   730581   1194    466 Block=CLB_R8C37.S0 Ram=M:30
Bit   730598   1194    483 Block=CLB_R7C37.S0 Ram=M:14
Bit   730599   1194    484 Block=CLB_R7C37.S0 Ram=M:30
Bit   731138   1195    411 Block=CLB_R11C37.S0 Ram=M:13
Bit   731139   1195    412 Block=CLB_R11C37.S0 Ram=M:29
Bit   731174   1195    447 Block=CLB_R9C37.S0 Ram=M:13
Bit   731175   1195    448 Block=CLB_R9C37.S0 Ram=M:29
Bit   731192   1195    465 Block=CLB_R8C37.S0 Ram=M:13
Bit   731193   1195    466 Block=CLB_R8C37.S0 Ram=M:29
Bit   731210   1195    483 Block=CLB_R7C37.S0 Ram=M:13
Bit   731211   1195    484 Block=CLB_R7C37.S0 Ram=M:29
Bit   731750   1196    411 Block=CLB_R11C37.S0 Ram=M:12
Bit   731751   1196    412 Block=CLB_R11C37.S0 Ram=M:28
Bit   731786   1196    447 Block=CLB_R9C37.S0 Ram=M:12
Bit   731787   1196    448 Block=CLB_R9C37.S0 Ram=M:28
Bit   731804   1196    465 Block=CLB_R8C37.S0 Ram=M:12
Bit   731805   1196    466 Block=CLB_R8C37.S0 Ram=M:28
Bit   731822   1196    483 Block=CLB_R7C37.S0 Ram=M:12
Bit   731823   1196    484 Block=CLB_R7C37.S0 Ram=M:28
Bit   732362   1197    411 Block=CLB_R11C37.S0 Ram=M:11
Bit   732363   1197    412 Block=CLB_R11C37.S0 Ram=M:27
Bit   732398   1197    447 Block=CLB_R9C37.S0 Ram=M:11
Bit   732399   1197    448 Block=CLB_R9C37.S0 Ram=M:27
Bit   732416   1197    465 Block=CLB_R8C37.S0 Ram=M:11
Bit   732417   1197    466 Block=CLB_R8C37.S0 Ram=M:27
Bit   732434   1197    483 Block=CLB_R7C37.S0 Ram=M:11
Bit   732435   1197    484 Block=CLB_R7C37.S0 Ram=M:27
Bit   732974   1198    411 Block=CLB_R11C37.S0 Ram=M:10
Bit   732975   1198    412 Block=CLB_R11C37.S0 Ram=M:26
Bit   733010   1198    447 Block=CLB_R9C37.S0 Ram=M:10
Bit   733011   1198    448 Block=CLB_R9C37.S0 Ram=M:26
Bit   733028   1198    465 Block=CLB_R8C37.S0 Ram=M:10
Bit   733029   1198    466 Block=CLB_R8C37.S0 Ram=M:26
Bit   733046   1198    483 Block=CLB_R7C37.S0 Ram=M:10
Bit   733047   1198    484 Block=CLB_R7C37.S0 Ram=M:26
Bit   733586   1199    411 Block=CLB_R11C37.S0 Ram=M:9
Bit   733587   1199    412 Block=CLB_R11C37.S0 Ram=M:25
Bit   733622   1199    447 Block=CLB_R9C37.S0 Ram=M:9
Bit   733623   1199    448 Block=CLB_R9C37.S0 Ram=M:25
Bit   733640   1199    465 Block=CLB_R8C37.S0 Ram=M:9
Bit   733641   1199    466 Block=CLB_R8C37.S0 Ram=M:25
Bit   733658   1199    483 Block=CLB_R7C37.S0 Ram=M:9
Bit   733659   1199    484 Block=CLB_R7C37.S0 Ram=M:25
Bit   734198   1200    411 Block=CLB_R11C37.S0 Ram=M:8
Bit   734199   1200    412 Block=CLB_R11C37.S0 Ram=M:24
Bit   734234   1200    447 Block=CLB_R9C37.S0 Ram=M:8
Bit   734235   1200    448 Block=CLB_R9C37.S0 Ram=M:24
Bit   734252   1200    465 Block=CLB_R8C37.S0 Ram=M:8
Bit   734253   1200    466 Block=CLB_R8C37.S0 Ram=M:24
Bit   734270   1200    483 Block=CLB_R7C37.S0 Ram=M:8
Bit   734271   1200    484 Block=CLB_R7C37.S0 Ram=M:24
Bit   734326   1200    539 Block=CLB_R4C37.S0 Latch=YQ Net=U15/state2<0>
Bit   734810   1201    411 Block=CLB_R11C37.S0 Ram=M:7
Bit   734811   1201    412 Block=CLB_R11C37.S0 Ram=M:23
Bit   734846   1201    447 Block=CLB_R9C37.S0 Ram=M:7
Bit   734847   1201    448 Block=CLB_R9C37.S0 Ram=M:23
Bit   734864   1201    465 Block=CLB_R8C37.S0 Ram=M:7
Bit   734865   1201    466 Block=CLB_R8C37.S0 Ram=M:23
Bit   734882   1201    483 Block=CLB_R7C37.S0 Ram=M:7
Bit   734883   1201    484 Block=CLB_R7C37.S0 Ram=M:23
Bit   735422   1202    411 Block=CLB_R11C37.S0 Ram=M:6
Bit   735423   1202    412 Block=CLB_R11C37.S0 Ram=M:22
Bit   735458   1202    447 Block=CLB_R9C37.S0 Ram=M:6
Bit   735459   1202    448 Block=CLB_R9C37.S0 Ram=M:22
Bit   735476   1202    465 Block=CLB_R8C37.S0 Ram=M:6
Bit   735477   1202    466 Block=CLB_R8C37.S0 Ram=M:22
Bit   735494   1202    483 Block=CLB_R7C37.S0 Ram=M:6
Bit   735495   1202    484 Block=CLB_R7C37.S0 Ram=M:22
Bit   736034   1203    411 Block=CLB_R11C37.S0 Ram=M:5
Bit   736035   1203    412 Block=CLB_R11C37.S0 Ram=M:21
Bit   736070   1203    447 Block=CLB_R9C37.S0 Ram=M:5
Bit   736071   1203    448 Block=CLB_R9C37.S0 Ram=M:21
Bit   736088   1203    465 Block=CLB_R8C37.S0 Ram=M:5
Bit   736089   1203    466 Block=CLB_R8C37.S0 Ram=M:21
Bit   736106   1203    483 Block=CLB_R7C37.S0 Ram=M:5
Bit   736107   1203    484 Block=CLB_R7C37.S0 Ram=M:21
Bit   736646   1204    411 Block=CLB_R11C37.S0 Ram=M:4
Bit   736647   1204    412 Block=CLB_R11C37.S0 Ram=M:20
Bit   736682   1204    447 Block=CLB_R9C37.S0 Ram=M:4
Bit   736683   1204    448 Block=CLB_R9C37.S0 Ram=M:20
Bit   736700   1204    465 Block=CLB_R8C37.S0 Ram=M:4
Bit   736701   1204    466 Block=CLB_R8C37.S0 Ram=M:20
Bit   736718   1204    483 Block=CLB_R7C37.S0 Ram=M:4
Bit   736719   1204    484 Block=CLB_R7C37.S0 Ram=M:20
Bit   737258   1205    411 Block=CLB_R11C37.S0 Ram=M:3
Bit   737259   1205    412 Block=CLB_R11C37.S0 Ram=M:19
Bit   737294   1205    447 Block=CLB_R9C37.S0 Ram=M:3
Bit   737295   1205    448 Block=CLB_R9C37.S0 Ram=M:19
Bit   737312   1205    465 Block=CLB_R8C37.S0 Ram=M:3
Bit   737313   1205    466 Block=CLB_R8C37.S0 Ram=M:19
Bit   737330   1205    483 Block=CLB_R7C37.S0 Ram=M:3
Bit   737331   1205    484 Block=CLB_R7C37.S0 Ram=M:19
Bit   737870   1206    411 Block=CLB_R11C37.S0 Ram=M:2
Bit   737871   1206    412 Block=CLB_R11C37.S0 Ram=M:18
Bit   737906   1206    447 Block=CLB_R9C37.S0 Ram=M:2
Bit   737907   1206    448 Block=CLB_R9C37.S0 Ram=M:18
Bit   737908   1206    449 Block=CLB_R9C37.S0 Latch=XQ Net=U15/length<3>
Bit   737924   1206    465 Block=CLB_R8C37.S0 Ram=M:2
Bit   737925   1206    466 Block=CLB_R8C37.S0 Ram=M:18
Bit   737926   1206    467 Block=CLB_R8C37.S0 Latch=XQ Net=U15/length<4>
Bit   737942   1206    483 Block=CLB_R7C37.S0 Ram=M:2
Bit   737943   1206    484 Block=CLB_R7C37.S0 Ram=M:18
Bit   737944   1206    485 Block=CLB_R7C37.S0 Latch=XQ Net=U15/length<6>
Bit   737998   1206    539 Block=CLB_R4C37.S0 Latch=XQ Net=U15/state2<1>
Bit   738482   1207    411 Block=CLB_R11C37.S0 Ram=M:1
Bit   738483   1207    412 Block=CLB_R11C37.S0 Ram=M:17
Bit   738518   1207    447 Block=CLB_R9C37.S0 Ram=M:1
Bit   738519   1207    448 Block=CLB_R9C37.S0 Ram=M:17
Bit   738536   1207    465 Block=CLB_R8C37.S0 Ram=M:1
Bit   738537   1207    466 Block=CLB_R8C37.S0 Ram=M:17
Bit   738554   1207    483 Block=CLB_R7C37.S0 Ram=M:1
Bit   738555   1207    484 Block=CLB_R7C37.S0 Ram=M:17
Bit   739094   1208    411 Block=CLB_R11C37.S0 Ram=M:0
Bit   739095   1208    412 Block=CLB_R11C37.S0 Ram=M:16
Bit   739130   1208    447 Block=CLB_R9C37.S0 Ram=M:0
Bit   739131   1208    448 Block=CLB_R9C37.S0 Ram=M:16
Bit   739148   1208    465 Block=CLB_R8C37.S0 Ram=M:0
Bit   739149   1208    466 Block=CLB_R8C37.S0 Ram=M:16
Bit   739166   1208    483 Block=CLB_R7C37.S0 Ram=M:0
Bit   739167   1208    484 Block=CLB_R7C37.S0 Ram=M:16
Bit   769100   1257    429 Block=CLB_R10C38.S1 Ram=M:0
Bit   769101   1257    430 Block=CLB_R10C38.S1 Ram=M:16
Bit   769118   1257    447 Block=CLB_R9C38.S1 Ram=M:0
Bit   769119   1257    448 Block=CLB_R9C38.S1 Ram=M:16
Bit   769154   1257    483 Block=CLB_R7C38.S1 Ram=M:0
Bit   769155   1257    484 Block=CLB_R7C38.S1 Ram=M:16
Bit   769712   1258    429 Block=CLB_R10C38.S1 Ram=M:1
Bit   769713   1258    430 Block=CLB_R10C38.S1 Ram=M:17
Bit   769730   1258    447 Block=CLB_R9C38.S1 Ram=M:1
Bit   769731   1258    448 Block=CLB_R9C38.S1 Ram=M:17
Bit   769766   1258    483 Block=CLB_R7C38.S1 Ram=M:1
Bit   769767   1258    484 Block=CLB_R7C38.S1 Ram=M:17
Bit   770308   1259    413 Block=CLB_R11C38.S1 Latch=XQ Net=PROCDOUT<1>
Bit   770324   1259    429 Block=CLB_R10C38.S1 Ram=M:2
Bit   770325   1259    430 Block=CLB_R10C38.S1 Ram=M:18
Bit   770326   1259    431 Block=CLB_R10C38.S1 Latch=XQ Net=U15/length<0>
Bit   770342   1259    447 Block=CLB_R9C38.S1 Ram=M:2
Bit   770343   1259    448 Block=CLB_R9C38.S1 Ram=M:18
Bit   770344   1259    449 Block=CLB_R9C38.S1 Latch=XQ Net=U15/length<1>
Bit   770362   1259    467 Block=CLB_R8C38.S1 Latch=XQ Net=PROCDOUT<5>
Bit   770378   1259    483 Block=CLB_R7C38.S1 Ram=M:2
Bit   770379   1259    484 Block=CLB_R7C38.S1 Ram=M:18
Bit   770380   1259    485 Block=CLB_R7C38.S1 Latch=XQ Net=U15/length<5>
Bit   770936   1260    429 Block=CLB_R10C38.S1 Ram=M:3
Bit   770937   1260    430 Block=CLB_R10C38.S1 Ram=M:19
Bit   770954   1260    447 Block=CLB_R9C38.S1 Ram=M:3
Bit   770955   1260    448 Block=CLB_R9C38.S1 Ram=M:19
Bit   770990   1260    483 Block=CLB_R7C38.S1 Ram=M:3
Bit   770991   1260    484 Block=CLB_R7C38.S1 Ram=M:19
Bit   771548   1261    429 Block=CLB_R10C38.S1 Ram=M:4
Bit   771549   1261    430 Block=CLB_R10C38.S1 Ram=M:20
Bit   771566   1261    447 Block=CLB_R9C38.S1 Ram=M:4
Bit   771567   1261    448 Block=CLB_R9C38.S1 Ram=M:20
Bit   771602   1261    483 Block=CLB_R7C38.S1 Ram=M:4
Bit   771603   1261    484 Block=CLB_R7C38.S1 Ram=M:20
Bit   772160   1262    429 Block=CLB_R10C38.S1 Ram=M:5
Bit   772161   1262    430 Block=CLB_R10C38.S1 Ram=M:21
Bit   772178   1262    447 Block=CLB_R9C38.S1 Ram=M:5
Bit   772179   1262    448 Block=CLB_R9C38.S1 Ram=M:21
Bit   772214   1262    483 Block=CLB_R7C38.S1 Ram=M:5
Bit   772215   1262    484 Block=CLB_R7C38.S1 Ram=M:21
Bit   772772   1263    429 Block=CLB_R10C38.S1 Ram=M:6
Bit   772773   1263    430 Block=CLB_R10C38.S1 Ram=M:22
Bit   772790   1263    447 Block=CLB_R9C38.S1 Ram=M:6
Bit   772791   1263    448 Block=CLB_R9C38.S1 Ram=M:22
Bit   772826   1263    483 Block=CLB_R7C38.S1 Ram=M:6
Bit   772827   1263    484 Block=CLB_R7C38.S1 Ram=M:22
Bit   773384   1264    429 Block=CLB_R10C38.S1 Ram=M:7
Bit   773385   1264    430 Block=CLB_R10C38.S1 Ram=M:23
Bit   773402   1264    447 Block=CLB_R9C38.S1 Ram=M:7
Bit   773403   1264    448 Block=CLB_R9C38.S1 Ram=M:23
Bit   773438   1264    483 Block=CLB_R7C38.S1 Ram=M:7
Bit   773439   1264    484 Block=CLB_R7C38.S1 Ram=M:23
Bit   773980   1265    413 Block=CLB_R11C38.S1 Latch=YQ Net=PROCDOUT<0>
Bit   773996   1265    429 Block=CLB_R10C38.S1 Ram=M:8
Bit   773997   1265    430 Block=CLB_R10C38.S1 Ram=M:24
Bit   774014   1265    447 Block=CLB_R9C38.S1 Ram=M:8
Bit   774015   1265    448 Block=CLB_R9C38.S1 Ram=M:24
Bit   774034   1265    467 Block=CLB_R8C38.S1 Latch=YQ Net=PROCDOUT<4>
Bit   774050   1265    483 Block=CLB_R7C38.S1 Ram=M:8
Bit   774051   1265    484 Block=CLB_R7C38.S1 Ram=M:24
Bit   774088   1265    521 Block=CLB_R5C38.S1 Latch=YQ Net=U15/state1<2>
Bit   774608   1266    429 Block=CLB_R10C38.S1 Ram=M:9
Bit   774609   1266    430 Block=CLB_R10C38.S1 Ram=M:25
Bit   774626   1266    447 Block=CLB_R9C38.S1 Ram=M:9
Bit   774627   1266    448 Block=CLB_R9C38.S1 Ram=M:25
Bit   774662   1266    483 Block=CLB_R7C38.S1 Ram=M:9
Bit   774663   1266    484 Block=CLB_R7C38.S1 Ram=M:25
Bit   775220   1267    429 Block=CLB_R10C38.S1 Ram=M:10
Bit   775221   1267    430 Block=CLB_R10C38.S1 Ram=M:26
Bit   775238   1267    447 Block=CLB_R9C38.S1 Ram=M:10
Bit   775239   1267    448 Block=CLB_R9C38.S1 Ram=M:26
Bit   775274   1267    483 Block=CLB_R7C38.S1 Ram=M:10
Bit   775275   1267    484 Block=CLB_R7C38.S1 Ram=M:26
Bit   775832   1268    429 Block=CLB_R10C38.S1 Ram=M:11
Bit   775833   1268    430 Block=CLB_R10C38.S1 Ram=M:27
Bit   775850   1268    447 Block=CLB_R9C38.S1 Ram=M:11
Bit   775851   1268    448 Block=CLB_R9C38.S1 Ram=M:27
Bit   775886   1268    483 Block=CLB_R7C38.S1 Ram=M:11
Bit   775887   1268    484 Block=CLB_R7C38.S1 Ram=M:27
Bit   776444   1269    429 Block=CLB_R10C38.S1 Ram=M:12
Bit   776445   1269    430 Block=CLB_R10C38.S1 Ram=M:28
Bit   776462   1269    447 Block=CLB_R9C38.S1 Ram=M:12
Bit   776463   1269    448 Block=CLB_R9C38.S1 Ram=M:28
Bit   776498   1269    483 Block=CLB_R7C38.S1 Ram=M:12
Bit   776499   1269    484 Block=CLB_R7C38.S1 Ram=M:28
Bit   777056   1270    429 Block=CLB_R10C38.S1 Ram=M:13
Bit   777057   1270    430 Block=CLB_R10C38.S1 Ram=M:29
Bit   777074   1270    447 Block=CLB_R9C38.S1 Ram=M:13
Bit   777075   1270    448 Block=CLB_R9C38.S1 Ram=M:29
Bit   777110   1270    483 Block=CLB_R7C38.S1 Ram=M:13
Bit   777111   1270    484 Block=CLB_R7C38.S1 Ram=M:29
Bit   777668   1271    429 Block=CLB_R10C38.S1 Ram=M:14
Bit   777669   1271    430 Block=CLB_R10C38.S1 Ram=M:30
Bit   777686   1271    447 Block=CLB_R9C38.S1 Ram=M:14
Bit   777687   1271    448 Block=CLB_R9C38.S1 Ram=M:30
Bit   777722   1271    483 Block=CLB_R7C38.S1 Ram=M:14
Bit   777723   1271    484 Block=CLB_R7C38.S1 Ram=M:30
Bit   778280   1272    429 Block=CLB_R10C38.S1 Ram=M:15
Bit   778281   1272    430 Block=CLB_R10C38.S1 Ram=M:31
Bit   778298   1272    447 Block=CLB_R9C38.S1 Ram=M:15
Bit   778299   1272    448 Block=CLB_R9C38.S1 Ram=M:31
Bit   778334   1272    483 Block=CLB_R7C38.S1 Ram=M:15
Bit   778335   1272    484 Block=CLB_R7C38.S1 Ram=M:31
Bit   827852   1353    429 Block=CLB_R10C39.S1 Ram=M:0
Bit   827853   1353    430 Block=CLB_R10C39.S1 Ram=M:16
Bit   827888   1353    465 Block=CLB_R8C39.S1 Ram=M:0
Bit   827889   1353    466 Block=CLB_R8C39.S1 Ram=M:16
Bit   828464   1354    429 Block=CLB_R10C39.S1 Ram=M:1
Bit   828465   1354    430 Block=CLB_R10C39.S1 Ram=M:17
Bit   828500   1354    465 Block=CLB_R8C39.S1 Ram=M:1
Bit   828501   1354    466 Block=CLB_R8C39.S1 Ram=M:17
Bit   829076   1355    429 Block=CLB_R10C39.S1 Ram=M:2
Bit   829077   1355    430 Block=CLB_R10C39.S1 Ram=M:18
Bit   829112   1355    465 Block=CLB_R8C39.S1 Ram=M:2
Bit   829113   1355    466 Block=CLB_R8C39.S1 Ram=M:18
Bit   829688   1356    429 Block=CLB_R10C39.S1 Ram=M:3
Bit   829689   1356    430 Block=CLB_R10C39.S1 Ram=M:19
Bit   829724   1356    465 Block=CLB_R8C39.S1 Ram=M:3
Bit   829725   1356    466 Block=CLB_R8C39.S1 Ram=M:19
Bit   830300   1357    429 Block=CLB_R10C39.S1 Ram=M:4
Bit   830301   1357    430 Block=CLB_R10C39.S1 Ram=M:20
Bit   830336   1357    465 Block=CLB_R8C39.S1 Ram=M:4
Bit   830337   1357    466 Block=CLB_R8C39.S1 Ram=M:20
Bit   830912   1358    429 Block=CLB_R10C39.S1 Ram=M:5
Bit   830913   1358    430 Block=CLB_R10C39.S1 Ram=M:21
Bit   830948   1358    465 Block=CLB_R8C39.S1 Ram=M:5
Bit   830949   1358    466 Block=CLB_R8C39.S1 Ram=M:21
Bit   831524   1359    429 Block=CLB_R10C39.S1 Ram=M:6
Bit   831525   1359    430 Block=CLB_R10C39.S1 Ram=M:22
Bit   831560   1359    465 Block=CLB_R8C39.S1 Ram=M:6
Bit   831561   1359    466 Block=CLB_R8C39.S1 Ram=M:22
Bit   832136   1360    429 Block=CLB_R10C39.S1 Ram=M:7
Bit   832137   1360    430 Block=CLB_R10C39.S1 Ram=M:23
Bit   832172   1360    465 Block=CLB_R8C39.S1 Ram=M:7
Bit   832173   1360    466 Block=CLB_R8C39.S1 Ram=M:23
Bit   832748   1361    429 Block=CLB_R10C39.S1 Ram=M:8
Bit   832749   1361    430 Block=CLB_R10C39.S1 Ram=M:24
Bit   832784   1361    465 Block=CLB_R8C39.S1 Ram=M:8
Bit   832785   1361    466 Block=CLB_R8C39.S1 Ram=M:24
Bit   832804   1361    485 Block=CLB_R7C39.S1 Latch=YQ Net=LOUT<1>
Bit   832840   1361    521 Block=CLB_R5C39.S1 Latch=YQ Net=S<1>
Bit   833360   1362    429 Block=CLB_R10C39.S1 Ram=M:9
Bit   833361   1362    430 Block=CLB_R10C39.S1 Ram=M:25
Bit   833396   1362    465 Block=CLB_R8C39.S1 Ram=M:9
Bit   833397   1362    466 Block=CLB_R8C39.S1 Ram=M:25
Bit   833972   1363    429 Block=CLB_R10C39.S1 Ram=M:10
Bit   833973   1363    430 Block=CLB_R10C39.S1 Ram=M:26
Bit   834008   1363    465 Block=CLB_R8C39.S1 Ram=M:10
Bit   834009   1363    466 Block=CLB_R8C39.S1 Ram=M:26
Bit   834584   1364    429 Block=CLB_R10C39.S1 Ram=M:11
Bit   834585   1364    430 Block=CLB_R10C39.S1 Ram=M:27
Bit   834620   1364    465 Block=CLB_R8C39.S1 Ram=M:11
Bit   834621   1364    466 Block=CLB_R8C39.S1 Ram=M:27
Bit   835196   1365    429 Block=CLB_R10C39.S1 Ram=M:12
Bit   835197   1365    430 Block=CLB_R10C39.S1 Ram=M:28
Bit   835232   1365    465 Block=CLB_R8C39.S1 Ram=M:12
Bit   835233   1365    466 Block=CLB_R8C39.S1 Ram=M:28
Bit   835808   1366    429 Block=CLB_R10C39.S1 Ram=M:13
Bit   835809   1366    430 Block=CLB_R10C39.S1 Ram=M:29
Bit   835844   1366    465 Block=CLB_R8C39.S1 Ram=M:13
Bit   835845   1366    466 Block=CLB_R8C39.S1 Ram=M:29
Bit   836420   1367    429 Block=CLB_R10C39.S1 Ram=M:14
Bit   836421   1367    430 Block=CLB_R10C39.S1 Ram=M:30
Bit   836456   1367    465 Block=CLB_R8C39.S1 Ram=M:14
Bit   836457   1367    466 Block=CLB_R8C39.S1 Ram=M:30
Bit   837032   1368    429 Block=CLB_R10C39.S1 Ram=M:15
Bit   837033   1368    430 Block=CLB_R10C39.S1 Ram=M:31
Bit   837068   1368    465 Block=CLB_R8C39.S1 Ram=M:15
Bit   837069   1368    466 Block=CLB_R8C39.S1 Ram=M:31
Bit   847454   1385    447 Block=CLB_R9C39.S0 Ram=M:15
Bit   847455   1385    448 Block=CLB_R9C39.S0 Ram=M:31
Bit   848066   1386    447 Block=CLB_R9C39.S0 Ram=M:14
Bit   848067   1386    448 Block=CLB_R9C39.S0 Ram=M:30
Bit   848678   1387    447 Block=CLB_R9C39.S0 Ram=M:13
Bit   848679   1387    448 Block=CLB_R9C39.S0 Ram=M:29
Bit   849290   1388    447 Block=CLB_R9C39.S0 Ram=M:12
Bit   849291   1388    448 Block=CLB_R9C39.S0 Ram=M:28
Bit   849902   1389    447 Block=CLB_R9C39.S0 Ram=M:11
Bit   849903   1389    448 Block=CLB_R9C39.S0 Ram=M:27
Bit   850514   1390    447 Block=CLB_R9C39.S0 Ram=M:10
Bit   850515   1390    448 Block=CLB_R9C39.S0 Ram=M:26
Bit   851126   1391    447 Block=CLB_R9C39.S0 Ram=M:9
Bit   851127   1391    448 Block=CLB_R9C39.S0 Ram=M:25
Bit   851738   1392    447 Block=CLB_R9C39.S0 Ram=M:8
Bit   851739   1392    448 Block=CLB_R9C39.S0 Ram=M:24
Bit   851794   1392    503 Block=CLB_R6C39.S0 Latch=YQ Net=LOUT<2>
Bit   852350   1393    447 Block=CLB_R9C39.S0 Ram=M:7
Bit   852351   1393    448 Block=CLB_R9C39.S0 Ram=M:23
Bit   852962   1394    447 Block=CLB_R9C39.S0 Ram=M:6
Bit   852963   1394    448 Block=CLB_R9C39.S0 Ram=M:22
Bit   853574   1395    447 Block=CLB_R9C39.S0 Ram=M:5
Bit   853575   1395    448 Block=CLB_R9C39.S0 Ram=M:21
Bit   854186   1396    447 Block=CLB_R9C39.S0 Ram=M:4
Bit   854187   1396    448 Block=CLB_R9C39.S0 Ram=M:20
Bit   854798   1397    447 Block=CLB_R9C39.S0 Ram=M:3
Bit   854799   1397    448 Block=CLB_R9C39.S0 Ram=M:19
Bit   855410   1398    447 Block=CLB_R9C39.S0 Ram=M:2
Bit   855411   1398    448 Block=CLB_R9C39.S0 Ram=M:18
Bit   856022   1399    447 Block=CLB_R9C39.S0 Ram=M:1
Bit   856023   1399    448 Block=CLB_R9C39.S0 Ram=M:17
Bit   856634   1400    447 Block=CLB_R9C39.S0 Ram=M:0
Bit   856635   1400    448 Block=CLB_R9C39.S0 Ram=M:16
Bit   886604   1449    429 Block=CLB_R10C40.S1 Ram=M:0
Bit   886605   1449    430 Block=CLB_R10C40.S1 Ram=M:16
Bit   886622   1449    447 Block=CLB_R9C40.S1 Ram=M:0
Bit   886623   1449    448 Block=CLB_R9C40.S1 Ram=M:16
Bit   886640   1449    465 Block=CLB_R8C40.S1 Ram=M:0
Bit   886641   1449    466 Block=CLB_R8C40.S1 Ram=M:16
Bit   887216   1450    429 Block=CLB_R10C40.S1 Ram=M:1
Bit   887217   1450    430 Block=CLB_R10C40.S1 Ram=M:17
Bit   887234   1450    447 Block=CLB_R9C40.S1 Ram=M:1
Bit   887235   1450    448 Block=CLB_R9C40.S1 Ram=M:17
Bit   887252   1450    465 Block=CLB_R8C40.S1 Ram=M:1
Bit   887253   1450    466 Block=CLB_R8C40.S1 Ram=M:17
Bit   887828   1451    429 Block=CLB_R10C40.S1 Ram=M:2
Bit   887829   1451    430 Block=CLB_R10C40.S1 Ram=M:18
Bit   887846   1451    447 Block=CLB_R9C40.S1 Ram=M:2
Bit   887847   1451    448 Block=CLB_R9C40.S1 Ram=M:18
Bit   887864   1451    465 Block=CLB_R8C40.S1 Ram=M:2
Bit   887865   1451    466 Block=CLB_R8C40.S1 Ram=M:18
Bit   888440   1452    429 Block=CLB_R10C40.S1 Ram=M:3
Bit   888441   1452    430 Block=CLB_R10C40.S1 Ram=M:19
Bit   888458   1452    447 Block=CLB_R9C40.S1 Ram=M:3
Bit   888459   1452    448 Block=CLB_R9C40.S1 Ram=M:19
Bit   888476   1452    465 Block=CLB_R8C40.S1 Ram=M:3
Bit   888477   1452    466 Block=CLB_R8C40.S1 Ram=M:19
Bit   889052   1453    429 Block=CLB_R10C40.S1 Ram=M:4
Bit   889053   1453    430 Block=CLB_R10C40.S1 Ram=M:20
Bit   889070   1453    447 Block=CLB_R9C40.S1 Ram=M:4
Bit   889071   1453    448 Block=CLB_R9C40.S1 Ram=M:20
Bit   889088   1453    465 Block=CLB_R8C40.S1 Ram=M:4
Bit   889089   1453    466 Block=CLB_R8C40.S1 Ram=M:20
Bit   889664   1454    429 Block=CLB_R10C40.S1 Ram=M:5
Bit   889665   1454    430 Block=CLB_R10C40.S1 Ram=M:21
Bit   889682   1454    447 Block=CLB_R9C40.S1 Ram=M:5
Bit   889683   1454    448 Block=CLB_R9C40.S1 Ram=M:21
Bit   889700   1454    465 Block=CLB_R8C40.S1 Ram=M:5
Bit   889701   1454    466 Block=CLB_R8C40.S1 Ram=M:21
Bit   890276   1455    429 Block=CLB_R10C40.S1 Ram=M:6
Bit   890277   1455    430 Block=CLB_R10C40.S1 Ram=M:22
Bit   890294   1455    447 Block=CLB_R9C40.S1 Ram=M:6
Bit   890295   1455    448 Block=CLB_R9C40.S1 Ram=M:22
Bit   890312   1455    465 Block=CLB_R8C40.S1 Ram=M:6
Bit   890313   1455    466 Block=CLB_R8C40.S1 Ram=M:22
Bit   890888   1456    429 Block=CLB_R10C40.S1 Ram=M:7
Bit   890889   1456    430 Block=CLB_R10C40.S1 Ram=M:23
Bit   890906   1456    447 Block=CLB_R9C40.S1 Ram=M:7
Bit   890907   1456    448 Block=CLB_R9C40.S1 Ram=M:23
Bit   890924   1456    465 Block=CLB_R8C40.S1 Ram=M:7
Bit   890925   1456    466 Block=CLB_R8C40.S1 Ram=M:23
Bit   891500   1457    429 Block=CLB_R10C40.S1 Ram=M:8
Bit   891501   1457    430 Block=CLB_R10C40.S1 Ram=M:24
Bit   891518   1457    447 Block=CLB_R9C40.S1 Ram=M:8
Bit   891519   1457    448 Block=CLB_R9C40.S1 Ram=M:24
Bit   891536   1457    465 Block=CLB_R8C40.S1 Ram=M:8
Bit   891537   1457    466 Block=CLB_R8C40.S1 Ram=M:24
Bit   891556   1457    485 Block=CLB_R7C40.S1 Latch=YQ Net=LOUT<3>
Bit   891592   1457    521 Block=CLB_R5C40.S1 Latch=YQ Net=PROCAOUT<6>
Bit   892112   1458    429 Block=CLB_R10C40.S1 Ram=M:9
Bit   892113   1458    430 Block=CLB_R10C40.S1 Ram=M:25
Bit   892130   1458    447 Block=CLB_R9C40.S1 Ram=M:9
Bit   892131   1458    448 Block=CLB_R9C40.S1 Ram=M:25
Bit   892148   1458    465 Block=CLB_R8C40.S1 Ram=M:9
Bit   892149   1458    466 Block=CLB_R8C40.S1 Ram=M:25
Bit   892724   1459    429 Block=CLB_R10C40.S1 Ram=M:10
Bit   892725   1459    430 Block=CLB_R10C40.S1 Ram=M:26
Bit   892742   1459    447 Block=CLB_R9C40.S1 Ram=M:10
Bit   892743   1459    448 Block=CLB_R9C40.S1 Ram=M:26
Bit   892760   1459    465 Block=CLB_R8C40.S1 Ram=M:10
Bit   892761   1459    466 Block=CLB_R8C40.S1 Ram=M:26
Bit   893336   1460    429 Block=CLB_R10C40.S1 Ram=M:11
Bit   893337   1460    430 Block=CLB_R10C40.S1 Ram=M:27
Bit   893354   1460    447 Block=CLB_R9C40.S1 Ram=M:11
Bit   893355   1460    448 Block=CLB_R9C40.S1 Ram=M:27
Bit   893372   1460    465 Block=CLB_R8C40.S1 Ram=M:11
Bit   893373   1460    466 Block=CLB_R8C40.S1 Ram=M:27
Bit   893948   1461    429 Block=CLB_R10C40.S1 Ram=M:12
Bit   893949   1461    430 Block=CLB_R10C40.S1 Ram=M:28
Bit   893966   1461    447 Block=CLB_R9C40.S1 Ram=M:12
Bit   893967   1461    448 Block=CLB_R9C40.S1 Ram=M:28
Bit   893984   1461    465 Block=CLB_R8C40.S1 Ram=M:12
Bit   893985   1461    466 Block=CLB_R8C40.S1 Ram=M:28
Bit   894560   1462    429 Block=CLB_R10C40.S1 Ram=M:13
Bit   894561   1462    430 Block=CLB_R10C40.S1 Ram=M:29
Bit   894578   1462    447 Block=CLB_R9C40.S1 Ram=M:13
Bit   894579   1462    448 Block=CLB_R9C40.S1 Ram=M:29
Bit   894596   1462    465 Block=CLB_R8C40.S1 Ram=M:13
Bit   894597   1462    466 Block=CLB_R8C40.S1 Ram=M:29
Bit   895172   1463    429 Block=CLB_R10C40.S1 Ram=M:14
Bit   895173   1463    430 Block=CLB_R10C40.S1 Ram=M:30
Bit   895190   1463    447 Block=CLB_R9C40.S1 Ram=M:14
Bit   895191   1463    448 Block=CLB_R9C40.S1 Ram=M:30
Bit   895208   1463    465 Block=CLB_R8C40.S1 Ram=M:14
Bit   895209   1463    466 Block=CLB_R8C40.S1 Ram=M:30
Bit   895784   1464    429 Block=CLB_R10C40.S1 Ram=M:15
Bit   895785   1464    430 Block=CLB_R10C40.S1 Ram=M:31
Bit   895802   1464    447 Block=CLB_R9C40.S1 Ram=M:15
Bit   895803   1464    448 Block=CLB_R9C40.S1 Ram=M:31
Bit   895820   1464    465 Block=CLB_R8C40.S1 Ram=M:15
Bit   895821   1464    466 Block=CLB_R8C40.S1 Ram=M:31
Bit   906188   1481    429 Block=CLB_R10C40.S0 Ram=M:15
Bit   906189   1481    430 Block=CLB_R10C40.S0 Ram=M:31
Bit   906800   1482    429 Block=CLB_R10C40.S0 Ram=M:14
Bit   906801   1482    430 Block=CLB_R10C40.S0 Ram=M:30
Bit   907412   1483    429 Block=CLB_R10C40.S0 Ram=M:13
Bit   907413   1483    430 Block=CLB_R10C40.S0 Ram=M:29
Bit   908024   1484    429 Block=CLB_R10C40.S0 Ram=M:12
Bit   908025   1484    430 Block=CLB_R10C40.S0 Ram=M:28
Bit   908636   1485    429 Block=CLB_R10C40.S0 Ram=M:11
Bit   908637   1485    430 Block=CLB_R10C40.S0 Ram=M:27
Bit   909248   1486    429 Block=CLB_R10C40.S0 Ram=M:10
Bit   909249   1486    430 Block=CLB_R10C40.S0 Ram=M:26
Bit   909860   1487    429 Block=CLB_R10C40.S0 Ram=M:9
Bit   909861   1487    430 Block=CLB_R10C40.S0 Ram=M:25
Bit   910472   1488    429 Block=CLB_R10C40.S0 Ram=M:8
Bit   910473   1488    430 Block=CLB_R10C40.S0 Ram=M:24
Bit   910582   1488    539 Block=CLB_R4C40.S0 Latch=YQ Net=U15/state1<0>
Bit   911084   1489    429 Block=CLB_R10C40.S0 Ram=M:7
Bit   911085   1489    430 Block=CLB_R10C40.S0 Ram=M:23
Bit   911696   1490    429 Block=CLB_R10C40.S0 Ram=M:6
Bit   911697   1490    430 Block=CLB_R10C40.S0 Ram=M:22
Bit   912308   1491    429 Block=CLB_R10C40.S0 Ram=M:5
Bit   912309   1491    430 Block=CLB_R10C40.S0 Ram=M:21
Bit   912920   1492    429 Block=CLB_R10C40.S0 Ram=M:4
Bit   912921   1492    430 Block=CLB_R10C40.S0 Ram=M:20
Bit   913532   1493    429 Block=CLB_R10C40.S0 Ram=M:3
Bit   913533   1493    430 Block=CLB_R10C40.S0 Ram=M:19
Bit   914144   1494    429 Block=CLB_R10C40.S0 Ram=M:2
Bit   914145   1494    430 Block=CLB_R10C40.S0 Ram=M:18
Bit   914254   1494    539 Block=CLB_R4C40.S0 Latch=XQ Net=U15/state1<1>
Bit   914756   1495    429 Block=CLB_R10C40.S0 Ram=M:1
Bit   914757   1495    430 Block=CLB_R10C40.S0 Ram=M:17
Bit   915368   1496    429 Block=CLB_R10C40.S0 Ram=M:0
Bit   915369   1496    430 Block=CLB_R10C40.S0 Ram=M:16
Bit   945410   1545    483 Block=CLB_R7C41.S1 Ram=M:0
Bit   945411   1545    484 Block=CLB_R7C41.S1 Ram=M:16
Bit   946022   1546    483 Block=CLB_R7C41.S1 Ram=M:1
Bit   946023   1546    484 Block=CLB_R7C41.S1 Ram=M:17
Bit   946634   1547    483 Block=CLB_R7C41.S1 Ram=M:2
Bit   946635   1547    484 Block=CLB_R7C41.S1 Ram=M:18
Bit   947246   1548    483 Block=CLB_R7C41.S1 Ram=M:3
Bit   947247   1548    484 Block=CLB_R7C41.S1 Ram=M:19
Bit   947858   1549    483 Block=CLB_R7C41.S1 Ram=M:4
Bit   947859   1549    484 Block=CLB_R7C41.S1 Ram=M:20
Bit   948470   1550    483 Block=CLB_R7C41.S1 Ram=M:5
Bit   948471   1550    484 Block=CLB_R7C41.S1 Ram=M:21
Bit   949082   1551    483 Block=CLB_R7C41.S1 Ram=M:6
Bit   949083   1551    484 Block=CLB_R7C41.S1 Ram=M:22
Bit   949694   1552    483 Block=CLB_R7C41.S1 Ram=M:7
Bit   949695   1552    484 Block=CLB_R7C41.S1 Ram=M:23
Bit   950272   1553    449 Block=CLB_R9C41.S1 Latch=YQ Net=ROUT<1>
Bit   950290   1553    467 Block=CLB_R8C41.S1 Latch=YQ Net=ROUT<3>
Bit   950306   1553    483 Block=CLB_R7C41.S1 Ram=M:8
Bit   950307   1553    484 Block=CLB_R7C41.S1 Ram=M:24
Bit   950918   1554    483 Block=CLB_R7C41.S1 Ram=M:9
Bit   950919   1554    484 Block=CLB_R7C41.S1 Ram=M:25
Bit   951530   1555    483 Block=CLB_R7C41.S1 Ram=M:10
Bit   951531   1555    484 Block=CLB_R7C41.S1 Ram=M:26
Bit   952142   1556    483 Block=CLB_R7C41.S1 Ram=M:11
Bit   952143   1556    484 Block=CLB_R7C41.S1 Ram=M:27
Bit   952754   1557    483 Block=CLB_R7C41.S1 Ram=M:12
Bit   952755   1557    484 Block=CLB_R7C41.S1 Ram=M:28
Bit   953366   1558    483 Block=CLB_R7C41.S1 Ram=M:13
Bit   953367   1558    484 Block=CLB_R7C41.S1 Ram=M:29
Bit   953978   1559    483 Block=CLB_R7C41.S1 Ram=M:14
Bit   953979   1559    484 Block=CLB_R7C41.S1 Ram=M:30
Bit   954590   1560    483 Block=CLB_R7C41.S1 Ram=M:15
Bit   954591   1560    484 Block=CLB_R7C41.S1 Ram=M:31
Bit   969226   1584    431 Block=CLB_R10C41.S0 Latch=YQ Net=ROUT<0>
Bit   969262   1584    467 Block=CLB_R8C41.S0 Latch=YQ Net=LOUT<0>
Bit   969280   1584    485 Block=CLB_R7C41.S0 Latch=YQ Net=PROCAOUT<5>
Bit   969298   1584    503 Block=CLB_R6C41.S0 Latch=YQ Net=PROCAOUT<0>
Bit   972970   1590    503 Block=CLB_R6C41.S0 Latch=XQ Net=PROCAOUT<1>
Bit  1004108   1641    429 Block=CLB_R10C42.S1 Ram=M:0
Bit  1004109   1641    430 Block=CLB_R10C42.S1 Ram=M:16
Bit  1004720   1642    429 Block=CLB_R10C42.S1 Ram=M:1
Bit  1004721   1642    430 Block=CLB_R10C42.S1 Ram=M:17
Bit  1005332   1643    429 Block=CLB_R10C42.S1 Ram=M:2
Bit  1005333   1643    430 Block=CLB_R10C42.S1 Ram=M:18
Bit  1005944   1644    429 Block=CLB_R10C42.S1 Ram=M:3
Bit  1005945   1644    430 Block=CLB_R10C42.S1 Ram=M:19
Bit  1006556   1645    429 Block=CLB_R10C42.S1 Ram=M:4
Bit  1006557   1645    430 Block=CLB_R10C42.S1 Ram=M:20
Bit  1007168   1646    429 Block=CLB_R10C42.S1 Ram=M:5
Bit  1007169   1646    430 Block=CLB_R10C42.S1 Ram=M:21
Bit  1007780   1647    429 Block=CLB_R10C42.S1 Ram=M:6
Bit  1007781   1647    430 Block=CLB_R10C42.S1 Ram=M:22
Bit  1008392   1648    429 Block=CLB_R10C42.S1 Ram=M:7
Bit  1008393   1648    430 Block=CLB_R10C42.S1 Ram=M:23
Bit  1009004   1649    429 Block=CLB_R10C42.S1 Ram=M:8
Bit  1009005   1649    430 Block=CLB_R10C42.S1 Ram=M:24
Bit  1009024   1649    449 Block=CLB_R9C42.S1 Latch=YQ Net=ROUT<2>
Bit  1009616   1650    429 Block=CLB_R10C42.S1 Ram=M:9
Bit  1009617   1650    430 Block=CLB_R10C42.S1 Ram=M:25
Bit  1010228   1651    429 Block=CLB_R10C42.S1 Ram=M:10
Bit  1010229   1651    430 Block=CLB_R10C42.S1 Ram=M:26
Bit  1010840   1652    429 Block=CLB_R10C42.S1 Ram=M:11
Bit  1010841   1652    430 Block=CLB_R10C42.S1 Ram=M:27
Bit  1011452   1653    429 Block=CLB_R10C42.S1 Ram=M:12
Bit  1011453   1653    430 Block=CLB_R10C42.S1 Ram=M:28
Bit  1012064   1654    429 Block=CLB_R10C42.S1 Ram=M:13
Bit  1012065   1654    430 Block=CLB_R10C42.S1 Ram=M:29
Bit  1012676   1655    429 Block=CLB_R10C42.S1 Ram=M:14
Bit  1012677   1655    430 Block=CLB_R10C42.S1 Ram=M:30
Bit  1013288   1656    429 Block=CLB_R10C42.S1 Ram=M:15
Bit  1013289   1656    430 Block=CLB_R10C42.S1 Ram=M:31
Bit  1023692   1673    429 Block=CLB_R10C42.S0 Ram=M:15
Bit  1023693   1673    430 Block=CLB_R10C42.S0 Ram=M:31
Bit  1023728   1673    465 Block=CLB_R8C42.S0 Ram=M:15
Bit  1023729   1673    466 Block=CLB_R8C42.S0 Ram=M:31
Bit  1024304   1674    429 Block=CLB_R10C42.S0 Ram=M:14
Bit  1024305   1674    430 Block=CLB_R10C42.S0 Ram=M:30
Bit  1024340   1674    465 Block=CLB_R8C42.S0 Ram=M:14
Bit  1024341   1674    466 Block=CLB_R8C42.S0 Ram=M:30
Bit  1024916   1675    429 Block=CLB_R10C42.S0 Ram=M:13
Bit  1024917   1675    430 Block=CLB_R10C42.S0 Ram=M:29
Bit  1024952   1675    465 Block=CLB_R8C42.S0 Ram=M:13
Bit  1024953   1675    466 Block=CLB_R8C42.S0 Ram=M:29
Bit  1025528   1676    429 Block=CLB_R10C42.S0 Ram=M:12
Bit  1025529   1676    430 Block=CLB_R10C42.S0 Ram=M:28
Bit  1025564   1676    465 Block=CLB_R8C42.S0 Ram=M:12
Bit  1025565   1676    466 Block=CLB_R8C42.S0 Ram=M:28
Bit  1026140   1677    429 Block=CLB_R10C42.S0 Ram=M:11
Bit  1026141   1677    430 Block=CLB_R10C42.S0 Ram=M:27
Bit  1026176   1677    465 Block=CLB_R8C42.S0 Ram=M:11
Bit  1026177   1677    466 Block=CLB_R8C42.S0 Ram=M:27
Bit  1026752   1678    429 Block=CLB_R10C42.S0 Ram=M:10
Bit  1026753   1678    430 Block=CLB_R10C42.S0 Ram=M:26
Bit  1026788   1678    465 Block=CLB_R8C42.S0 Ram=M:10
Bit  1026789   1678    466 Block=CLB_R8C42.S0 Ram=M:26
Bit  1027364   1679    429 Block=CLB_R10C42.S0 Ram=M:9
Bit  1027365   1679    430 Block=CLB_R10C42.S0 Ram=M:25
Bit  1027400   1679    465 Block=CLB_R8C42.S0 Ram=M:9
Bit  1027401   1679    466 Block=CLB_R8C42.S0 Ram=M:25
Bit  1027976   1680    429 Block=CLB_R10C42.S0 Ram=M:8
Bit  1027977   1680    430 Block=CLB_R10C42.S0 Ram=M:24
Bit  1028012   1680    465 Block=CLB_R8C42.S0 Ram=M:8
Bit  1028013   1680    466 Block=CLB_R8C42.S0 Ram=M:24
Bit  1028032   1680    485 Block=CLB_R7C42.S0 Latch=YQ Net=PROCAOUT<4>
Bit  1028050   1680    503 Block=CLB_R6C42.S0 Latch=YQ Net=PROCAOUT<2>
Bit  1028588   1681    429 Block=CLB_R10C42.S0 Ram=M:7
Bit  1028589   1681    430 Block=CLB_R10C42.S0 Ram=M:23
Bit  1028624   1681    465 Block=CLB_R8C42.S0 Ram=M:7
Bit  1028625   1681    466 Block=CLB_R8C42.S0 Ram=M:23
Bit  1029200   1682    429 Block=CLB_R10C42.S0 Ram=M:6
Bit  1029201   1682    430 Block=CLB_R10C42.S0 Ram=M:22
Bit  1029236   1682    465 Block=CLB_R8C42.S0 Ram=M:6
Bit  1029237   1682    466 Block=CLB_R8C42.S0 Ram=M:22
Bit  1029812   1683    429 Block=CLB_R10C42.S0 Ram=M:5
Bit  1029813   1683    430 Block=CLB_R10C42.S0 Ram=M:21
Bit  1029848   1683    465 Block=CLB_R8C42.S0 Ram=M:5
Bit  1029849   1683    466 Block=CLB_R8C42.S0 Ram=M:21
Bit  1030424   1684    429 Block=CLB_R10C42.S0 Ram=M:4
Bit  1030425   1684    430 Block=CLB_R10C42.S0 Ram=M:20
Bit  1030460   1684    465 Block=CLB_R8C42.S0 Ram=M:4
Bit  1030461   1684    466 Block=CLB_R8C42.S0 Ram=M:20
Bit  1031036   1685    429 Block=CLB_R10C42.S0 Ram=M:3
Bit  1031037   1685    430 Block=CLB_R10C42.S0 Ram=M:19
Bit  1031072   1685    465 Block=CLB_R8C42.S0 Ram=M:3
Bit  1031073   1685    466 Block=CLB_R8C42.S0 Ram=M:19
Bit  1031648   1686    429 Block=CLB_R10C42.S0 Ram=M:2
Bit  1031649   1686    430 Block=CLB_R10C42.S0 Ram=M:18
Bit  1031684   1686    465 Block=CLB_R8C42.S0 Ram=M:2
Bit  1031685   1686    466 Block=CLB_R8C42.S0 Ram=M:18
Bit  1031722   1686    503 Block=CLB_R6C42.S0 Latch=XQ Net=PROCAOUT<3>
Bit  1032260   1687    429 Block=CLB_R10C42.S0 Ram=M:1
Bit  1032261   1687    430 Block=CLB_R10C42.S0 Ram=M:17
Bit  1032296   1687    465 Block=CLB_R8C42.S0 Ram=M:1
Bit  1032297   1687    466 Block=CLB_R8C42.S0 Ram=M:17
Bit  1032872   1688    429 Block=CLB_R10C42.S0 Ram=M:0
Bit  1032873   1688    430 Block=CLB_R10C42.S0 Ram=M:16
Bit  1032908   1688    465 Block=CLB_R8C42.S0 Ram=M:0
Bit  1032909   1688    466 Block=CLB_R8C42.S0 Ram=M:16
Bit  1062860   1737    429 Block=CLB_R10C43.S1 Ram=M:0
Bit  1062861   1737    430 Block=CLB_R10C43.S1 Ram=M:16
Bit  1062878   1737    447 Block=CLB_R9C43.S1 Ram=M:0
Bit  1062879   1737    448 Block=CLB_R9C43.S1 Ram=M:16
Bit  1062914   1737    483 Block=CLB_R7C43.S1 Ram=M:0
Bit  1062915   1737    484 Block=CLB_R7C43.S1 Ram=M:16
Bit  1063472   1738    429 Block=CLB_R10C43.S1 Ram=M:1
Bit  1063473   1738    430 Block=CLB_R10C43.S1 Ram=M:17
Bit  1063490   1738    447 Block=CLB_R9C43.S1 Ram=M:1
Bit  1063491   1738    448 Block=CLB_R9C43.S1 Ram=M:17
Bit  1063526   1738    483 Block=CLB_R7C43.S1 Ram=M:1
Bit  1063527   1738    484 Block=CLB_R7C43.S1 Ram=M:17
Bit  1064084   1739    429 Block=CLB_R10C43.S1 Ram=M:2
Bit  1064085   1739    430 Block=CLB_R10C43.S1 Ram=M:18
Bit  1064102   1739    447 Block=CLB_R9C43.S1 Ram=M:2
Bit  1064103   1739    448 Block=CLB_R9C43.S1 Ram=M:18
Bit  1064138   1739    483 Block=CLB_R7C43.S1 Ram=M:2
Bit  1064139   1739    484 Block=CLB_R7C43.S1 Ram=M:18
Bit  1064696   1740    429 Block=CLB_R10C43.S1 Ram=M:3
Bit  1064697   1740    430 Block=CLB_R10C43.S1 Ram=M:19
Bit  1064714   1740    447 Block=CLB_R9C43.S1 Ram=M:3
Bit  1064715   1740    448 Block=CLB_R9C43.S1 Ram=M:19
Bit  1064750   1740    483 Block=CLB_R7C43.S1 Ram=M:3
Bit  1064751   1740    484 Block=CLB_R7C43.S1 Ram=M:19
Bit  1065308   1741    429 Block=CLB_R10C43.S1 Ram=M:4
Bit  1065309   1741    430 Block=CLB_R10C43.S1 Ram=M:20
Bit  1065326   1741    447 Block=CLB_R9C43.S1 Ram=M:4
Bit  1065327   1741    448 Block=CLB_R9C43.S1 Ram=M:20
Bit  1065362   1741    483 Block=CLB_R7C43.S1 Ram=M:4
Bit  1065363   1741    484 Block=CLB_R7C43.S1 Ram=M:20
Bit  1065920   1742    429 Block=CLB_R10C43.S1 Ram=M:5
Bit  1065921   1742    430 Block=CLB_R10C43.S1 Ram=M:21
Bit  1065938   1742    447 Block=CLB_R9C43.S1 Ram=M:5
Bit  1065939   1742    448 Block=CLB_R9C43.S1 Ram=M:21
Bit  1065974   1742    483 Block=CLB_R7C43.S1 Ram=M:5
Bit  1065975   1742    484 Block=CLB_R7C43.S1 Ram=M:21
Bit  1066532   1743    429 Block=CLB_R10C43.S1 Ram=M:6
Bit  1066533   1743    430 Block=CLB_R10C43.S1 Ram=M:22
Bit  1066550   1743    447 Block=CLB_R9C43.S1 Ram=M:6
Bit  1066551   1743    448 Block=CLB_R9C43.S1 Ram=M:22
Bit  1066586   1743    483 Block=CLB_R7C43.S1 Ram=M:6
Bit  1066587   1743    484 Block=CLB_R7C43.S1 Ram=M:22
Bit  1067144   1744    429 Block=CLB_R10C43.S1 Ram=M:7
Bit  1067145   1744    430 Block=CLB_R10C43.S1 Ram=M:23
Bit  1067162   1744    447 Block=CLB_R9C43.S1 Ram=M:7
Bit  1067163   1744    448 Block=CLB_R9C43.S1 Ram=M:23
Bit  1067198   1744    483 Block=CLB_R7C43.S1 Ram=M:7
Bit  1067199   1744    484 Block=CLB_R7C43.S1 Ram=M:23
Bit  1067756   1745    429 Block=CLB_R10C43.S1 Ram=M:8
Bit  1067757   1745    430 Block=CLB_R10C43.S1 Ram=M:24
Bit  1067774   1745    447 Block=CLB_R9C43.S1 Ram=M:8
Bit  1067775   1745    448 Block=CLB_R9C43.S1 Ram=M:24
Bit  1067810   1745    483 Block=CLB_R7C43.S1 Ram=M:8
Bit  1067811   1745    484 Block=CLB_R7C43.S1 Ram=M:24
Bit  1068368   1746    429 Block=CLB_R10C43.S1 Ram=M:9
Bit  1068369   1746    430 Block=CLB_R10C43.S1 Ram=M:25
Bit  1068386   1746    447 Block=CLB_R9C43.S1 Ram=M:9
Bit  1068387   1746    448 Block=CLB_R9C43.S1 Ram=M:25
Bit  1068422   1746    483 Block=CLB_R7C43.S1 Ram=M:9
Bit  1068423   1746    484 Block=CLB_R7C43.S1 Ram=M:25
Bit  1068980   1747    429 Block=CLB_R10C43.S1 Ram=M:10
Bit  1068981   1747    430 Block=CLB_R10C43.S1 Ram=M:26
Bit  1068998   1747    447 Block=CLB_R9C43.S1 Ram=M:10
Bit  1068999   1747    448 Block=CLB_R9C43.S1 Ram=M:26
Bit  1069034   1747    483 Block=CLB_R7C43.S1 Ram=M:10
Bit  1069035   1747    484 Block=CLB_R7C43.S1 Ram=M:26
Bit  1069592   1748    429 Block=CLB_R10C43.S1 Ram=M:11
Bit  1069593   1748    430 Block=CLB_R10C43.S1 Ram=M:27
Bit  1069610   1748    447 Block=CLB_R9C43.S1 Ram=M:11
Bit  1069611   1748    448 Block=CLB_R9C43.S1 Ram=M:27
Bit  1069646   1748    483 Block=CLB_R7C43.S1 Ram=M:11
Bit  1069647   1748    484 Block=CLB_R7C43.S1 Ram=M:27
Bit  1070204   1749    429 Block=CLB_R10C43.S1 Ram=M:12
Bit  1070205   1749    430 Block=CLB_R10C43.S1 Ram=M:28
Bit  1070222   1749    447 Block=CLB_R9C43.S1 Ram=M:12
Bit  1070223   1749    448 Block=CLB_R9C43.S1 Ram=M:28
Bit  1070258   1749    483 Block=CLB_R7C43.S1 Ram=M:12
Bit  1070259   1749    484 Block=CLB_R7C43.S1 Ram=M:28
Bit  1070816   1750    429 Block=CLB_R10C43.S1 Ram=M:13
Bit  1070817   1750    430 Block=CLB_R10C43.S1 Ram=M:29
Bit  1070834   1750    447 Block=CLB_R9C43.S1 Ram=M:13
Bit  1070835   1750    448 Block=CLB_R9C43.S1 Ram=M:29
Bit  1070870   1750    483 Block=CLB_R7C43.S1 Ram=M:13
Bit  1070871   1750    484 Block=CLB_R7C43.S1 Ram=M:29
Bit  1071428   1751    429 Block=CLB_R10C43.S1 Ram=M:14
Bit  1071429   1751    430 Block=CLB_R10C43.S1 Ram=M:30
Bit  1071446   1751    447 Block=CLB_R9C43.S1 Ram=M:14
Bit  1071447   1751    448 Block=CLB_R9C43.S1 Ram=M:30
Bit  1071482   1751    483 Block=CLB_R7C43.S1 Ram=M:14
Bit  1071483   1751    484 Block=CLB_R7C43.S1 Ram=M:30
Bit  1072040   1752    429 Block=CLB_R10C43.S1 Ram=M:15
Bit  1072041   1752    430 Block=CLB_R10C43.S1 Ram=M:31
Bit  1072058   1752    447 Block=CLB_R9C43.S1 Ram=M:15
Bit  1072059   1752    448 Block=CLB_R9C43.S1 Ram=M:31
Bit  1072094   1752    483 Block=CLB_R7C43.S1 Ram=M:15
Bit  1072095   1752    484 Block=CLB_R7C43.S1 Ram=M:31
Bit  1082462   1769    447 Block=CLB_R9C43.S0 Ram=M:15
Bit  1082463   1769    448 Block=CLB_R9C43.S0 Ram=M:31
Bit  1083074   1770    447 Block=CLB_R9C43.S0 Ram=M:14
Bit  1083075   1770    448 Block=CLB_R9C43.S0 Ram=M:30
Bit  1083686   1771    447 Block=CLB_R9C43.S0 Ram=M:13
Bit  1083687   1771    448 Block=CLB_R9C43.S0 Ram=M:29
Bit  1084298   1772    447 Block=CLB_R9C43.S0 Ram=M:12
Bit  1084299   1772    448 Block=CLB_R9C43.S0 Ram=M:28
Bit  1084910   1773    447 Block=CLB_R9C43.S0 Ram=M:11
Bit  1084911   1773    448 Block=CLB_R9C43.S0 Ram=M:27
Bit  1085522   1774    447 Block=CLB_R9C43.S0 Ram=M:10
Bit  1085523   1774    448 Block=CLB_R9C43.S0 Ram=M:26
Bit  1086134   1775    447 Block=CLB_R9C43.S0 Ram=M:9
Bit  1086135   1775    448 Block=CLB_R9C43.S0 Ram=M:25
Bit  1086746   1776    447 Block=CLB_R9C43.S0 Ram=M:8
Bit  1086747   1776    448 Block=CLB_R9C43.S0 Ram=M:24
Bit  1087358   1777    447 Block=CLB_R9C43.S0 Ram=M:7
Bit  1087359   1777    448 Block=CLB_R9C43.S0 Ram=M:23
Bit  1087970   1778    447 Block=CLB_R9C43.S0 Ram=M:6
Bit  1087971   1778    448 Block=CLB_R9C43.S0 Ram=M:22
Bit  1088582   1779    447 Block=CLB_R9C43.S0 Ram=M:5
Bit  1088583   1779    448 Block=CLB_R9C43.S0 Ram=M:21
Bit  1089194   1780    447 Block=CLB_R9C43.S0 Ram=M:4
Bit  1089195   1780    448 Block=CLB_R9C43.S0 Ram=M:20
Bit  1089806   1781    447 Block=CLB_R9C43.S0 Ram=M:3
Bit  1089807   1781    448 Block=CLB_R9C43.S0 Ram=M:19
Bit  1090418   1782    447 Block=CLB_R9C43.S0 Ram=M:2
Bit  1090419   1782    448 Block=CLB_R9C43.S0 Ram=M:18
Bit  1091030   1783    447 Block=CLB_R9C43.S0 Ram=M:1
Bit  1091031   1783    448 Block=CLB_R9C43.S0 Ram=M:17
Bit  1091642   1784    447 Block=CLB_R9C43.S0 Ram=M:0
Bit  1091643   1784    448 Block=CLB_R9C43.S0 Ram=M:16
Bit  1122712   1835    305 Block=CLB_R17C44.S1 Latch=XQ Net=$Net00049_
Bit  1126384   1841    305 Block=CLB_R17C44.S1 Latch=YQ Net=$Net00051_
Bit  1181464   1931    305 Block=CLB_R17C45.S1 Latch=XQ Net=$Net00047_
Bit  1181572   1931    413 Block=CLB_R11C45.S1 Latch=XQ Net=$Net00001_
Bit  1185136   1937    305 Block=CLB_R17C45.S1 Latch=YQ Net=$Net00050_
Bit  1185226   1937    395 Block=CLB_R12C45.S1 Latch=YQ Net=$Net00033_
Bit  1185244   1937    413 Block=CLB_R11C45.S1 Latch=YQ Net=$Net00030_
Bit  1204108   1968    305 Block=CLB_R17C45.S0 Latch=YQ Net=$Net00048_
Bit  1204126   1968    323 Block=CLB_R16C45.S0 Latch=YQ Net=$Net00053_
Bit  1204198   1968    395 Block=CLB_R12C45.S0 Latch=YQ Net=$Net00027_
Bit  1204270   1968    467 Block=CLB_R8C45.S0 Latch=YQ Net=$Net00031_
Bit  1207780   1974    305 Block=CLB_R17C45.S0 Latch=XQ Net=$Net00052_
Bit  1207870   1974    395 Block=CLB_R12C45.S0 Latch=XQ Net=$Net00032_
Bit  1207942   1974    467 Block=CLB_R8C45.S0 Latch=XQ Net=$Net00029_
Bit  1369655   2238    612 Block=P185 Latch=I Net=$Net00003_
Bit  1445773   2363    230 Block=P142 Latch=I Net=$Net00024_
Bit  1445809   2363    266 Block=P146 Latch=I Net=$Net00016_
Bit  1445845   2363    302 Block=P149 Latch=I Net=$Net00014_
Bit  1445862   2363    319 Block=P153 Latch=I Net=$Net00013_
Bit  1445888   2363    345 Block=P155 Latch=I Net=$Net00012_
Bit  1445924   2363    381 Block=P159 Latch=I Net=$Net00011_
Bit  1445953   2363    410 Block=P161 Latch=I Net=$Net00009_
Bit  1446078   2363    535 Block=P174 Latch=I Net=$Net00010_
Bit  1446097   2363    554 Block=P175 Latch=I Net=$Net00015_
